Location Data
The PropEco Location Data API can be used to retrieve a wide range of information tied to a specific geographical location in the UK.
You can access, test and subscribe to the API at www.propeco.io/api.
GET /location
📄❓ See Code Samples (page bottom) for an example request.
Retrieves information about a specific geographical location in the UK, identified by either latitude & longitude or X & Y grid position.
Query Parameters
x_coord float Optional*
The X coordinate of the location in the BNG / EPSG:27700 coordinate system.
y_coord float Optional*
The Y coordinate of the location in the BNG / EPSG:27700 coordinate system.
latitude float Optional*
The latitude of the location in the WGS84 / EPSG:4326 coordinate system.
longitude float Optional*
The longitude of the location in the WGS84 / EPSG:4326 coordinate system.
*One of the following must be provided:
- An
x_coord&y_coordpair. - A
latitude&longitudepair.
Response
📄❓ See Code Samples (page bottom) for an example response.
An object containing a range of information about a UK location, as follows:
Location
"location": {
"x_coord": 202301,
"y_coord": 47402,
"latitude": 50.29336962725581,
"longitude": -4.7769688487838025,
...
},
The geographical location, provided in both WGS84 / EPSG:4326 and BNG / EPSG:27700 coordinate systems.
See API Reference → Coordinate Systems for more information about locations.
Admin Boundaries
"admin_boundaries": {
"electoral_area_code": "E05013846",
"electoral_area_name": "Mevagissey & St Austell Bay",
"local_authority_district_code": "E06000052",
"local_authority_district_name": "Cornwall",
"county_code": null,
"county_name": null,
"region_code": "E12000009",
"region_name": "South West",
"country_code": "E92000001",
"country_name": "England"
}
An object containing the names and identifiers of various administrative boundaries and regions within which the location resides.
This combines data from sources including the Office for National Statistics and Ordnance Survey.
Elevation
{
"elevation_upper": 3.38,
"elevation_lower": -1.74,
"elevation_estimate": 1.4138392905671728,
"distance_from_upper": 264.82580663159666,
"distance_from_lower": 424.7964218305467,
"azimuth_ascending_degrees": 109.46256560940512,
"azimuth_descending_degrees": 56.639128942775336,
"is_above_high_tide_line": false
}
The API provides the elevation (height above sea level) for the property or location being searched for. This searches against topographic data provided by Ordnance Survey and provides the elevation of the closest contour lines, an estimate of the elevation of the property or location itself, and an indication of whether this is above the high tide line.
Planning Restrictions
The API provides information to help you determine whether a location is affected by any planning restrictions that could hinder property upgrades such as adding an extension, incorporating solar panels or replacing windows. These include:
Conservation Areas
{
"in_conservation_area": true,
"conservation_area_area": 2273828.5525359632,
"conservation_area_proportion": 0.7284537903512821,
"nearest_conservation_area": {
"name": "No data available for publication by HE",
"distance": 0,
"nearest_point": null
}
}
These are areas that are deemed to have special architectural or historic interest. Properties or locations that fall within one will be subject to planning controls that are designed to preserve the character and appearance of the areas.
The API provides an assessment of whether or not the property or location sits within a conservation area. It also assesses the extent to which the surrounding area (within a 1km radius of the property) sits within a conservation area, both as a proportion and as an absolute value (in m²).
If a property or location is not within a conservation area, the API provides details of the closest one.
Listed Buildings
{
"nearest_listed_buildings": [
{
"distance": 272.65926201169736,
"x_coord": 525867.650000001,
"y_coord": 176425.638875,
"latitude": 51.472803363681365,
"longitude": -0.18910933363089522,
"name": "LANGFORD SCHOOL INCLUDING WALL, RAILINGS, GATES AND ENTRANCES, AND FORMER SCHOOL KEEPER'S HOUSE AND SPECIAL SCHOOL",
"grade": "II",
"date_listed": "2009-08-07T00:00:00.000Z",
"url": "https://historicengland.org.uk/listing/the-list/list-entry/1393408"
},
{
"distance": 404.2988160209559,
"x_coord": 526507.3075,
"y_coord": 176502.818125004,
"latitude": 51.473354479784355,
"longitude": -0.17987667978798275,
"name": "CREMORNE BRIDGE, WEST LONDON EXTENSION RAILWAY BRIDGE",
"grade": "II*",
"date_listed": "2008-11-26T00:00:00.000Z",
"url": "https://historicengland.org.uk/listing/the-list/list-entry/1393006"
},
{
"distance": 459.0246555692252,
"x_coord": 526003.950000001,
"y_coord": 176796.091750003,
"latitude": 51.47610236703256,
"longitude": -0.187015978762473,
"name": "FORMER LABORATORY AT THE IMPERIAL GAS WORKS",
"grade": "II",
"date_listed": "2007-06-07T00:00:00.000Z",
"url": "https://historicengland.org.uk/listing/the-list/list-entry/1392024"
},
{
"distance": 475.47437878733615,
"x_coord": 526020.825000001,
"y_coord": 176817.533625003,
"latitude": 51.47629131271065,
"longitude": -0.18676548323922187,
"name": "OFFICE BUILDING AT THE FORMER IMPERIAL GAS WORKS",
"grade": "II",
"date_listed": "2007-06-07T00:00:00.000Z",
"url": "https://historicengland.org.uk/listing/the-list/list-entry/1392025"
},
{
"distance": 494.79545054752094,
"x_coord": 526618.171500001,
"y_coord": 176441.524375001,
"latitude": 51.47277885538365,
"longitude": -0.17830319242949452,
"name": "Cremorne Bridge, West London Extension Railway Bridge, Battersea",
"grade": "II*",
"date_listed": "2008-11-26T00:00:00.000Z",
"url": "https://historicengland.org.uk/listing/the-list/list-entry/1393005"
},
{
"distance": 495.9440400961927,
"x_coord": 525992.145,
"y_coord": 176831.109000001,
"latitude": 51.47641969688287,
"longitude": -0.1871734055456125,
"name": "WAR MEMORIAL",
"grade": "II",
"date_listed": "2007-06-07T00:00:00.000Z",
"url": "https://historicengland.org.uk/listing/the-list/list-entry/1392026"
},
{
"distance": 564.5638515564086,
"x_coord": 526042.855809047,
"y_coord": 176912.640515104,
"latitude": 51.47714114501708,
"longitude": -0.18641454604452504,
"name": "Gasholder No 2, Fulham Gasworks",
"grade": "II*",
"date_listed": "1970-05-12T00:00:00.000Z",
"url": "https://historicengland.org.uk/listing/the-list/list-entry/1261959"
},
{
"distance": 654.1070248826896,
"x_coord": 526747,
"y_coord": 176575.000000002,
"latitude": 51.47394959321589,
"longitude": -0.17640147952629298,
"name": "OLD BATTERSEA HOUSE",
"grade": "II*",
"date_listed": "1954-06-28T00:00:00.000Z",
"url": "https://historicengland.org.uk/listing/the-list/list-entry/1065500"
},
{
"distance": 693.9798267983115,
"x_coord": 525549,
"y_coord": 176733.000000004,
"latitude": 51.47563638690696,
"longitude": -0.19358588507184643,
"name": "NOS 71 TO 77 INCLUDING IRON RAILINGS",
"grade": "II",
"date_listed": "1970-05-12T00:00:00.000Z",
"url": "https://historicengland.org.uk/listing/the-list/list-entry/1192382"
},
{
"distance": 702.7560031786114,
"x_coord": 526776.000000001,
"y_coord": 176634.000000004,
"latitude": 51.47447333832597,
"longitude": -0.17596300838318335,
"name": "ST MARY'S VICARAGE (INCLUDING RAILINGS AND GATES)",
"grade": "II",
"date_listed": "1954-06-28T00:00:00.000Z",
"url": "https://historicengland.org.uk/listing/the-list/list-entry/1299844"
}
]
}
These are individual buildings that have been deemed to be of special architectural or historic interest. Listed buildings are classified into three grades:
- Grade I buildings are of exceptional interest.
- Grade II* buildings are particularly important buildings of more than special interest.
- Grade II buildings are of special interest warranting every effort to preserve them.
The API returns a list of the nearest listed buildings, with links to more information on each.
World Heritage Sites
{
"in_world_heritage_site": false,
"world_heritage_site_area": 0,
"world_heritage_site_proportion": 0,
"nearest_world_heritage_site": {
"name": "Palace of Westminster, Westminster Abbey and St. Margaret's Church",
"inscription_date": "1987-01-01T00:00:00.000Z",
"notes": "Core Area",
"url": "https://historicengland.org.uk/listing/the-list/list-entry/1000095",
"distance": 4821.2320112402185,
"nearest_point": {
"x_coord": 529916.025999069,
"y_coord": 179341.277999882,
"latitude": 51.49809161098811,
"longitude": -0.12978059568154365
}
}
}
World Heritage Sites are sites, places, monuments or buildings of ‘outstanding universal value’ to all humanity. Planning policies in such locations therefore place great weight on preserving their character.
The API provides an assessment of whether or not a property or location sits within a World Heritage Site. It also assesses the extent to which the surrounding area (within a 1km radius of the property) sits within a World Heritage Site, both as a proportion and as an absolute value (in m²).
If a property or location is not within a World Heritage Site, the API provides details of the closest one.
National Parks
{
"in_national_park": false,
"national_park_area": 0,
"national_park_proportion": 0,
"nearest_national_park": {
"code": "E26000010",
"name": "South Downs",
"distance": 52414.49214631459,
"nearest_point": {
"x_coord": 496678.7996,
"y_coord": 132997.799000001,
"latitude": 51.088152792361065,
"longitude": -0.6209624707641703
}
}
}
These are designated areas of natural beauty and ecological significance within the UK that provide habitats to a wide array of plant and animal species. As with world heritage sites, planning policies in these locations place significant weight on preserving their existing character, and conserving their natural landscape and ecosystem.
The API provides an assessment of whether or not the property or location sits within a national park. It also assesses the extent to which the surrounding area (within a 1km radius of the property) sits within a national park, both as a proportion and as an absolute value (in m²).
If a property or location is not within a national park, the API provides details of the closest one.
Environment
Air Quality
{
"benzene": {
"percentile": 99.79404010921759,
"value": 0.6817068
},
"no2": {
"percentile": 99.90388538430153,
"value": 20.37211
},
"nox": {
"percentile": 99.89957003420896,
"value": 30.03811
},
"pm2.5": {
"percentile": 99.8356237470724,
"value": 8.446545
},
"pm10": {
"percentile": 96.75680552994669,
"value": 14.2705
},
"so2": {
"percentile": 98.54808084612246,
"value": 2.842329
}
}
The API provides UK government estimates of the average concentrations (µg/m3) of common air pollutants (including benzene, nitrogen oxides, particulate matter and sulphur dioxide) at the property or location over the past year.
For each pollutant, a UK-wide percentile is provided to enable you to determine how polluted the location is relative to others in the country.
Greenspace
{
"greenspace_area": 249521.6226683189,
"greenspace_proportion": 0.0799378527,
"nearest_greenspace_point": {
"distance": 64.43658122526742,
"x_coord": 526192.63,
"y_coord": 176336.19,
"latitude": 51.471927175308295,
"longitude": -0.1844645464039543,
"function": "Public Park Or Garden",
"name": null
}
}
The API searches against Ordnance Survey datasets to determine the nearest publicly-accessible greenspace, as well as the amount of greenspace coverage in the locality. The following information is provided for a given property or location:
- Greenspace coverage within a 1km radius, both as a proportion and an absolute value (in m²)
- The distance to and location of the nearest publicly-accessible greenspace site.
Landslides
"landslides": [
{
"distance": 622.0940443373494,
"x_coord": 357684,
"y_coord": 172561,
"latitude": 51.45044033489425,
"longitude": -2.6103456261703966,
"name": "Hotwell Road"
},
...
]
The API integrates the British Geological Survey’s National Landslide Database (NLD) to determine if there is a record of any landslides near the property or location being searched for.
The NLD is the most extensive source of information on landslides in Great Britain, with more than 18,000 records.
The API returns details of any landslides recorded within 1km of the property or location being searched for. An empty array means that no records exist.
Radon Exposure
{
"radon_class": 1,
"radon_affected_area": false,
"radon_exceeding_action_level_min_likelihood": 0,
"radon_exceeding_action_level_max_likelihood": 0.01
}
The API integrates data from the British Geological Survey to provide an indicative assessment of whether or not a property or location lies within a radon affected area.
Radon is a colourless, odourless radioactive gas that occurs naturally throughout the UK. In some places, radon concentrations are high enough to pose a potential health risk. If a property or location is within such a 'radon affected area', it should be tested and, if necessary, steps taken to reduce its exposure.
The radon class specified will be one of the following:
- 1: The property or location is in an area where less than 1% of homes are estimated to equal or exceed safe levels. The property or location is not in a radon affected area.
- 2: The property or location is in a radon affected area where 1%-3% of homes are estimated to equal or exceed safe levels.
- 3: The property or location is in a radon affected area where 3%-5% of homes are estimated to equal or exceed safe levels.
- 4: The property or location is in a radon affected area where 5%-10% of homes are estimated to equal or exceed safe levels.
- 5: The property or location is in a radon affected area where 10%-30% of homes are estimated to equal or exceed safe levels.
- 6: The property or location is in a radon affected area where 30% or more of homes are estimated to equal or exceed safe levels.
Subsidence
{
"collapsible_deposits": {
"class": 1,
"legend": "Low",
"advisory": "Areas of localised significant rating"
},
"compressible_ground": {
"class": 1,
"legend": "Low",
"advisory": "Areas of localised significant rating."
},
"landslides": {
"class": 1,
"legend": "Low",
"advisory": "Areas of localised significant rating."
},
"running_sand": {
"class": 1,
"legend": "Low",
"advisory": null
},
"shrink_swell": {
"class": 3,
"legend": "Significant",
"advisory": "Areas of localised significant rating."
},
"soluble_rocks": {
"class": 1,
"legend": "Low",
"advisory": null
},
"shrink_swell_2050_medium_emissions": {
"class": "Probable",
"legend": "It is probable that climate change will effect clay shrink-swell susceptibility and change the likelihood of ground movement, which causes subsidence."
},
"shrink_swell_2080_medium_emissions": {
"class": "Probable",
"legend": "It is probable that climate change will effect clay shrink-swell susceptibility and change the likelihood of ground movement, which causes subsidence."
},
"shrink_swell_2070_high_emissions": {
"class": "Probable",
"legend": "It is probable that climate change will affect clay shrink-swell susceptibility and change the likelihood of ground movement, which causes subsidence."
},
"shrink_swell_2030_high_emissions": {
"class": "Probable",
"legend": "It is probable that climate change will affect clay shrink-swell susceptibility and change the likelihood of ground movement, which causes subsidence."
},
"shrink_swell_2030_medium_emissions": {
"class": "Possible",
"legend": "It is possible that climate change will effect clay shrink-swell susceptibility and change the likelihood of ground movement, which causes subsidence."
}
}
The API response includes a generalised overview of susceptibility to the following six naturally occurring geohazards:
- Collapsible deposits
- Compressible ground
- Landslides
- Running sand
- Shrink–swell
- Soluble rocks
The assessments, which are provided by the British Geological Survey, place risks into one of three classes: Low, Moderate and Significant.
In addition, the API response provides an indicative assessment of potential change in subsidence risk due to climate change. Assessments are provided for two time periods (2030s and 2070s) under a high emissions scenario and three (2030s, 2050s and 2080s) under a medium emissions scenario. Assessments can be one of: Improbable, Possible, Probable or Unavailable.
Transportation
EV Charging Points
{
"nearest_charging_points": [
{
"distance": 24.300398212285252,
"x_coord": 526149.9207485385,
"y_coord": 176370.27343384735,
"latitude": 51.472243,
"longitude": -0.185067,
"name": "Tynemouth Street"
},
{
"distance": 24.933474857774584,
"x_coord": 526121.7213066816,
"y_coord": 176378.14261359192,
"latitude": 51.47232,
"longitude": -0.18547,
"name": "Tynmouth Street"
},
{
"distance": 32.2742501894088,
"x_coord": 526132.8208975578,
"y_coord": 176322.782356649,
"latitude": 51.47182,
"longitude": -0.18533,
"name": "Lindrop Street"
},
{
"distance": 57.530020490303876,
"x_coord": 526074.6282859455,
"y_coord": 176343.59510883188,
"latitude": 51.47202,
"longitude": -0.18616,
"name": "Lindrop Road"
},
{
"distance": 74.386387679891,
"x_coord": 526158.5241039438,
"y_coord": 176424.11900597543,
"latitude": 51.472725,
"longitude": -0.184924,
"name": "Elbe Street"
},
{
"distance": 78.57274521357323,
"x_coord": 526076.4215237667,
"y_coord": 176411.51444497233,
"latitude": 51.47263,
"longitude": -0.18611,
"name": "Tynmouth Street"
},
{
"distance": 86.79300552321156,
"x_coord": 526045.0100863599,
"y_coord": 176366.67361626908,
"latitude": 51.472234,
"longitude": -0.186578,
"name": "suby1100007179"
},
{
"distance": 88.85030848038176,
"x_coord": 526114.0300682702,
"y_coord": 176267.79436360375,
"latitude": 51.47133,
"longitude": -0.18562,
"name": "Glenrosa Street"
},
{
"distance": 89.33838258294242,
"x_coord": 526156.1746027804,
"y_coord": 176269.28351075877,
"latitude": 51.471334,
"longitude": -0.185013,
"name": "Townmead Road"
},
{
"distance": 93.43933046161797,
"x_coord": 526148.5119337098,
"y_coord": 176446.79263576196,
"latitude": 51.472931,
"longitude": -0.18506,
"name": "Elbe Street"
}
]
}
The API integrates the National Chargepoint Registry to determine if there are EV charging points installed near the property or location being searched for.
The API returns details of the 10 closest EV charging points (within a 1km radius). An empty array means that no records exist.
Low Emission Zones
{
"in_low_emission_zone": true,
"low_emission_zone_area": 3121445.152257984,
"low_emission_zone_proportion": 1,
"nearest_low_emission_zone": {
"name": "London_ULEZ",
"url": "https://tfl.gov.uk/modes/driving/ultra-low-emission-zone",
"distance": 0,
"nearest_point": null
}
}
Low Emission Zones (LEZ) are urban areas in which restrictions on the type of vehicle that can enter are in place. Motorists driving older and / or more polluting vehicles may need to pay a fee in order to drive within these.
The API checks if the property or location is within an active or planned LEZ. If not, details of the closest LEZ are provided.
Airports
{
"name": "London City Airport",
"distance": 17145.32305869944,
"azimuth_degrees": 76.4380036982832,
"x_coord": 542798.2557996714,
"y_coord": 180375.5331606008,
"latitude": 51.50428,
"longitude": 0.0561
}
The API provides the name and location of the closest airport, alongside its distance from the property or location being searched for.
Flood Risk
Depending on the specific location you search for, the API response will include the following assessments of flood risk:
England
{
"rivers_and_seas": {
"in_flood_risk_zone": true,
"annual_flood_risk": 0.001,
"flood_risk_description": "Very low",
"nearest_flood_risk_zone": {
"max_annual_flood_risk": 0.001,
"min_annual_flood_risk": null,
"flood_risk_description": "Very low",
"distance": 0,
"nearest_point": null
},
"highest_risk_flood_zone_within_50m": {
"max_annual_flood_risk": 0.001,
"min_annual_flood_risk": null,
"flood_risk_description": "Very low",
"distance": 0,
"nearest_point": null
}
}
}
Rivers and seas: This outlines the current chance of flooding from rivers and the sea, taking account of flood defences and the condition they are in.
Assessments utilise the results of the Environment Agency's most recent National Flood Risk Assessment (NaFRA) - undertaken using modelling and local expertise - that splits affected areas into 2m x 2m cells and allocates each one of four flood risk likelihood categories:
- High: each year, there is a chance of flooding of greater than 1 in 30 (3.3%).
- Medium: each year, there is a chance of flooding of between 1 in 30 (3.3%) and 1 in 100 (1%).
- Low: each year, there is a chance of flooding of between 1 in 100 (1%) and 1 in 1000 (0.1%).
- Very Low: each year, there is a chance of flooding of less than 1 in 1000 (0.1%).
You can find out more about the National Flood Risk Assessment here.
Scotland
{
"coast": {
"in_flood_risk_zone": false,
"annual_flood_risk": 0,
"flood_risk_description": null,
"nearest_flood_risk_zone": {
"annual_flood_risk": 0.001,
"flood_risk_description": "Low",
"distance": 421.2469221309678,
"nearest_point": {
"x_coord": 326055.0019,
"y_coord": 676052.0011,
"latitude": 55.97174070353001,
"longitude": -3.1863387889073214
}
},
"highest_risk_flood_zone_within_50m": null
},
"rivers": {
"in_flood_risk_zone": false,
"annual_flood_risk": 0,
"flood_risk_description": null,
"nearest_flood_risk_zone": {
"annual_flood_risk": 0.005,
"flood_risk_description": "Medium",
"distance": 350.891721190455,
"nearest_point": {
"x_coord": 325875,
"y_coord": 676070,
"latitude": 55.97187460968184,
"longitude": -3.1892269352515994
}
},
"highest_risk_flood_zone_within_50m": null
}
}
The API utilises the latest flood risk assessments provided by the Scottish Environment Protection Agency (SEPA). These identify locations at risk from coastal and / or river flooding and categorise at-risk locations according to their likelihood of flooding:
- High: Each year this area has a 10% chance of flooding.
- Medium: Each year this area has a 0.5% chance of flooding.
- Low: Each year this area has a 0.1% chance of flooding.
You can find out more about the underlying data here.
Wales
{
"coast": {
"in_flood_risk_zone": false,
"annual_flood_risk": 0,
"flood_risk_description": null,
"nearest_flood_risk_zone": {
"max_annual_flood_risk": 0.01,
"min_annual_flood_risk": 0.001,
"flood_risk_description": "Low",
"distance": 26.245704515367727,
"nearest_point": {
"x_coord": 317563.999999993,
"y_coord": 173205.999999667,
"latitude": 51.451813266893716,
"longitude": -3.1877535171885167
}
},
"highest_risk_flood_zone_within_50m": {
"max_annual_flood_risk": null,
"min_annual_flood_risk": 0.033,
"flood_risk_description": "High",
"distance": 40.64033743325234,
"nearest_point": {
"x_coord": 317531.599999993,
"y_coord": 173174.879999667,
"latitude": 51.451528788200136,
"longitude": -3.188212433602248
}
}
},
"rivers": {
"in_flood_risk_zone": false,
"annual_flood_risk": 0,
"flood_risk_description": null,
"nearest_flood_risk_zone": {
"max_annual_flood_risk": 0.01,
"min_annual_flood_risk": 0.001,
"flood_risk_description": "Low",
"distance": 62.777570827507915,
"nearest_point": {
"x_coord": 317555.339999993,
"y_coord": 173154.104099667,
"latitude": 51.451345479126445,
"longitude": -3.1878660137358787
}
},
"highest_risk_flood_zone_within_50m": null
}
}
The API utilises the latest flood risk assessments provided by Natural Resources Wales (NRW). These identify locations at risk from coastal and / or river flooding. At-risk areas are categorised according to their likelihood of flooding:
For rivers, surface water and small watercourses:
- High: each year, an area has a chance of flooding of greater than 1 in 30 (3.3%).
- Medium: each year, an area has a chance of flooding of between 1 in 100 (1%) and 1 in 30 (3.3%).
- Low: each year, an area has a chance of flooding of between 1 in 1000 (0.1%) and 1 in 100 (1%).
For the sea:
- High: each year, an area has a chance of flooding of greater than 1 in 30 (3.3%).
- Medium: each year, an area has a chance of flooding of between 1 in 200 (0.5%) and 1 in 30 (3.3%).
- Low: each year, an area has a chance of flooding of between 1 in 1000 (0.1%) and 1 in 200 (0.5%).
You can find out more about the underlying data here.
General features
For each type of flooding, if the location in question is not deemed to be at risk, the API provides details of the nearest flood zone (within 1km for rivers and seas, and within 250m for surface water). If none are found, this will be returned as null.
In addition, the API provides details of the highest risk flood zone within a 50m radius of the point being searched for. If none are found, this will be returned as null.
Note that the approach to assigning risk descriptions (such as 'High' or 'Low') differs between the flood risk datasets covering England, Wales and Scotland. The API presents these as they are used in the underlying datasets.
Note also that flood modelling is inherently uncertain and so the assessments provided should be treated as indicative.
More information about the flood risk associated with a property or location (including surface water and future flood risk) is available through our flood risk endpoint.
Climate
Historical Trends
{
"average_rainfall": {
"percentile": 5,
"value": 630.878136
},
"average_sunshine": {
"percentile": 79,
"value": 1627.568507
},
"average_temperature": {
"percentile": 99,
"value": 12.41175113
},
"highest_rainfall": {
"percentile": 27,
"value": 48.36213045
},
"maximum_temperature": {
"percentile": 98,
"value": 40.03483407
},
"highest_wind_speed": {
"percentile": 1,
"value": 4.461679503
},
"minimum_temperature": {
"percentile": 3,
"value": -5.336074282
}
}
The API leverages MetOffice climate data to provide assessments of the following:
- Average annual temperature (°C)
- Highest daily temperature (°C)
- Lowest daily temperature (°C)
- Average annual rainfall (mm)
- Highest daily rainfall (mm)
- Average annual sunshine (hours)
- Highest monthly wind speed (metres per second)
Each assessment is based on data covering the past 10 years. UK-wide percentiles are also provided for each measure.
Future Projections
{
"annual_hot_days": {
"baseline_hot_days": 2.4,
"upper_recent_hot_days": 8.6,
"upper_recent_hot_days_change": 6.199999999999999,
"upper_recent_hot_days_change_relative": 2.583333333333333,
"lower_recent_hot_days": 4.6,
"lower_recent_hot_days_change": 2.1999999999999997,
"lower_recent_hot_days_change_relative": 0.9166666666666666,
"upper_hot_days": 42.1,
"upper_hot_days_change": 39.7,
"upper_hot_days_change_relative": 16.541666666666668,
"lower_hot_days": 7.6,
"lower_hot_days_change": 5.2,
"lower_hot_days_change_relative": 2.166666666666667
},
"maximum_temperature": {
"baseline_maximum_temperature": 30.93,
"upper_recent_maximum_temperature": 33.95,
"upper_recent_maximum_temperature_change": 3.020000000000003,
"upper_recent_maximum_temperature_change_relative": 0.09763983187843528,
"lower_recent_maximum_temperature": 31.64,
"lower_recent_maximum_temperature_change": 0.7100000000000009,
"lower_recent_maximum_temperature_change_relative": 0.02295505981247982,
"upper_maximum_temperature": 39.08,
"upper_maximum_temperature_change": 8.15,
"upper_maximum_temperature_change_relative": 0.2634982217911413,
"lower_maximum_temperature": 31.88,
"lower_maximum_temperature_change": 0.95,
"lower_maximum_temperature_change_relative": 0.03071451665050113
},
"summer_precipitation": {
"baseline_summer_precipitation": 1.53,
"upper_recent_summer_precipitation": 1.67,
"upper_recent_summer_precipitation_change": 0.1399999999999999,
"upper_recent_summer_precipitation_change_relative": 0.09150326797385615,
"lower_recent_summer_precipitation": 1.34,
"lower_recent_summer_precipitation_change": -0.18999999999999995,
"lower_recent_summer_precipitation_change_relative": -0.12418300653594767,
"upper_summer_precipitation": 1.2452670000000001,
"upper_summer_precipitation_change": -0.28473299999999996,
"upper_summer_precipitation_change_relative": -0.1861,
"lower_summer_precipitation": 1.320237,
"lower_summer_precipitation_change": -0.20976300000000003,
"lower_summer_precipitation_change_relative": -0.1371
},
"winter_precipitation": {
"baseline_winter_precipitation": 1.65,
"upper_recent_winter_precipitation": 1.97,
"upper_recent_winter_precipitation_change": 0.32000000000000006,
"upper_recent_winter_precipitation_change_relative": 0.193939393939394,
"lower_recent_winter_precipitation": 1.64,
"lower_recent_winter_precipitation_change": -0.010000000000000009,
"lower_recent_winter_precipitation_change_relative": -0.006060606060606067,
"upper_winter_precipitation": 2.080485,
"upper_winter_precipitation_change": 0.43048499999999995,
"upper_winter_precipitation_change_relative": 0.2609,
"lower_winter_precipitation": 1.4754299999999998,
"lower_winter_precipitation_change": -0.17457,
"lower_winter_precipitation_change_relative": -0.1058
}
}
The API integrates the MetOffice's UK Climate Projections (UKCP18) to provide the following projections:
Annual hot days. The number of days in which the maximum temperature exceeds 30°C that could occur each year. At such temperatures heat related illness, power cuts and transport disruption (due to overheating of infrastructure) become more likely.
Maximum temperature. Maximum daily air temperature (°C).
Winter precipitation. Average precipitation rates (mm/day) during December, January and February.
Summer precipitation. Average precipitation rates (mm/day) during June, July and August.
Projections are based on a high emissions scenario (RCP 8.5) and consider a range of plausible conditions which could occur in the future, namely global warming levels of 1.5°C, 2.0°C, 2.5°C, 3.0°C, 4.0°C above the pre-industrial (1850-1900) period. The range of possible outcomes reflects the uncertainty that is inherent in predicting climatic changes. The larger the difference between the lower and upper projections, the greater the level of uncertainty.
For each measure, the API provides:
-
Values for the 1981-2000 baseline (corresponding to 0.51°C warming).
-
Estimated upper and lower values for the range of plausible future warming levels (1.5°C - 4.0°C), as well as the absolute and percentage change (relative to the baseline) that these represent.
-
Estimated upper and lower values for the recent past (2001-2020), which corresponds to 0.87°C warming.
Note that the world warmed by around 1.1°C between 1850–1900 and 2011–2020.
Social Factors
House Price Index
{
"date": "2026-01-07T00:00:00.000Z",
"region_name": "Hammersmith and Fulham",
"average_price": 738048,
"average_price_seasonally_adjusted": null,
"house_price_index": 87.4,
"house_price_index_seasonally_adjusted": null,
"percentage_change_1_month": 1.4,
"percentage_change_12_months": -9,
"sales_volume": null,
"average_price_detached": 1716974,
"house_price_index_detached": 89.9,
"percentage_change_1_month_detached": 2.3,
"percentage_change_12_months_detached": -6.1,
"average_price_semi_detached": 1503460,
"house_price_index_semi_detached": 91.5,
"percentage_change_1_month_semi_detached": 3.2,
"percentage_change_12_months_semi_detached": -4.4,
"average_price_terraced": 1139759,
"house_price_index_terraced": 91.6,
"percentage_change_1_month_terraced": 2.1,
"percentage_change_12_months_terraced": -6.7,
"average_price_flat": 568235,
"house_price_index_flat": 85.7,
"percentage_change_1_month_flat": 1,
"percentage_change_12_months_flat": -10,
"average_price_cash": 736198,
"house_price_index_cash": 87.4,
"percentage_change_1_month_cash": 1.4,
"percentage_change_12_months_cash": -9,
"sales_volume_cash": null,
"average_price_mortgage": 738831,
"house_price_index_mortgage": 87.5,
"percentage_change_1_month_mortgage": 1.4,
"percentage_change_12_months_mortgage": -9,
"sales_volume_mortgage": null,
"average_price_first_time_buyer": 629368,
"house_price_index_first_time_buyer": 86.6,
"percentage_change_1_month_first_time_buyer": 1.2,
"percentage_change_12_months_first_time_buyer": -9.4,
"average_price_former_owner_occupier": 908993,
"house_price_index_former_owner_occupier": 88.9,
"percentage_change_1_month_former_owner_occupier": 1.5,
"percentage_change_12_months_former_owner_occupier": -8.2,
"average_price_new": null,
"house_price_index_new": null,
"percentage_change_1_month_new": null,
"percentage_change_12_months_new": null,
"sales_volume_new": null,
"average_price_existing": null,
"house_price_index_existing": null,
"percentage_change_1_month_existing": null,
"percentage_change_12_months_existing": null,
"sales_volume_existing": null
}
This provides information on monthly property price changes, calculated using data from HM Land Registry, Registers of Scotland, and Land and Property Services Northern Ireland.
Fuel poverty
{
"lower_layer_super_output_area": {
"lower_layer_super_output_area_code": "E01035487",
"lower_layer_super_output_area_name": "Hammersmith and Fulham 023H",
"household_count": 809,
"fuel_poor_household_count": 60,
"fuel_poor_household_percentage": 7
},
"local_authority": {
"local_authority_district_code": "E09000013",
"local_authority_district_name": "Hammersmith and Fulham",
"household_count": 88809,
"fuel_poor_household_count": 8657,
"fuel_poor_household_percentage": 9.747885912463827
},
"region": {
"region_code": "E12000007",
"region_name": "London",
"household_count": 3731959,
"fuel_poor_household_count": 359488,
"fuel_poor_household_percentage": 9.632688890740761
}
}
The API provides fuel poverty statistics for the relevant region, local authority and LSOA. Note that this is currently only available for properties or locations in England.
Healthcare facilities
{
"nearest_hospital": {
"distance": 1381.4277835797047,
"azimuth_degrees": 16.935743411464543,
"x_coord": 526355.3334399035,
"y_coord": 177718.09105674824,
"latitude": 51.484310150146484,
"longitude": -0.1816297024488449,
"name": "Chelsea and Westminster Hospital",
"url": "http://www.chelwest.nhs.uk",
"address1": "369 Fulham Road",
"address2": null,
"address3": null,
"postcode": "SW10 9NH"
},
"nearest_gp_practice": {
"distance": 434.0683257660047,
"azimuth_degrees": 279.592346553228,
"x_coord": 525709.3269117592,
"y_coord": 176457.99086409376,
"latitude": 51.47312927246094,
"longitude": -0.1913762241601944,
"name": "Sands End Health Clinic",
"url": null,
"address1": "1 BROUGHTON ROAD APPROACH",
"address2": null,
"address3": null,
"postcode": "SW6 2FE"
},
"nearest_dentist": {
"distance": 681.5908793608703,
"azimuth_degrees": 301.55272328538643,
"x_coord": 525633.340821908,
"y_coord": 176820.7268183052,
"latitude": 51.47640609741211,
"longitude": -0.1923409402370453,
"name": "New Kings Rd Dental Practice",
"url": "http://www.newkingsroaddental.com/",
"address1": "59 New Kings Road",
"address2": "London",
"address3": "London",
"postcode": "SW6 4SE"
}
}
The API provides the names and locations of the closest NHS hospital, GP practice and dentist, alongside the distance between each and the property or location.
Note that this data is currently unavailable for locations in Wales.
Defibrillators
[
{
"distance": 235.07416912822993,
"azimuth_degrees": 61.08598126721924,
"x_coord": 526303.1706507438,
"y_coord": 176515.0535285888,
"latitude": 51.47351,
"longitude": -0.18281,
"location_name": "St George West London",
"availability": "Varied Access",
"access_type": "Restricted"
},
{
"distance": 245.9736845902887,
"azimuth_degrees": 71.2084966660904,
"x_coord": 526344.0110737708,
"y_coord": 176478.00136569107,
"latitude": 51.4731679,
"longitude": -0.1822355,
"location_name": null,
"availability": "24/7 Access",
"access_type": "Public"
},
{
"distance": 245.9736845902887,
"azimuth_degrees": 71.2084966660904,
"x_coord": 526344.0110737708,
"y_coord": 176478.00136569107,
"latitude": 51.4731679,
"longitude": -0.1822355,
"location_name": "Tesco Express",
"availability": "Varied Access",
"access_type": "Public"
},
{
"distance": 296.97392467090833,
"azimuth_degrees": 162.66725601637975,
"x_coord": 526195.0154642942,
"y_coord": 176065.00770309236,
"latitude": 51.4694895,
"longitude": -0.1845269,
"location_name": null,
"availability": "Varied Access",
"access_type": "Restricted"
},
{
"distance": 296.97392467090833,
"azimuth_degrees": 162.66725601637975,
"x_coord": 526195.0154642942,
"y_coord": 176065.00770309236,
"latitude": 51.4694895,
"longitude": -0.1845269,
"location_name": null,
"availability": "Varied Access",
"access_type": "Restricted"
},
{
"distance": 360.73572032336443,
"azimuth_degrees": 332.1803354451811,
"x_coord": 526009.6531294279,
"y_coord": 176694.71340409148,
"latitude": 51.47519,
"longitude": -0.18697,
"location_name": null,
"availability": "Varied Access",
"access_type": "Restricted"
},
{
"distance": 393.2161857435855,
"azimuth_degrees": 269.89929251781257,
"x_coord": 525737.9329731906,
"y_coord": 176344.17035707302,
"latitude": 51.4721,
"longitude": -0.191005,
"location_name": "L'ecole Des Petits",
"availability": "Varied Access",
"access_type": "Restricted"
},
{
"distance": 398.9406564306313,
"azimuth_degrees": 348.2812573032834,
"x_coord": 526069.9722823373,
"y_coord": 176749.2451839021,
"latitude": 51.47566666,
"longitude": -0.186082495,
"location_name": "Kings Road Park",
"availability": "Varied Access",
"access_type": "Public"
},
{
"distance": 412.61979435181905,
"azimuth_degrees": 277.85397144271155,
"x_coord": 525726.0143506106,
"y_coord": 176434.0045472078,
"latitude": 51.47291,
"longitude": -0.1911446,
"location_name": "Howdens At Fulham",
"availability": "Varied Access",
"access_type": "Restricted"
},
{
"distance": 415.3016841412404,
"azimuth_degrees": 40.21386779514243,
"x_coord": 526315.749994361,
"y_coord": 176726.94479218562,
"latitude": 51.47541148,
"longitude": -0.182553342,
"location_name": "The Design Studios - Chelsea Harbour",
"availability": "24/7 Access",
"access_type": "Public"
}
]
The API provides the location of the closest defibrillators (up to 10) within a 1km radius of the property or location.
Energy
Retrofit Grants
[
{
"name": "Boiler Upgrade Scheme",
"description": "Grant of up to £7,500 to cover part of the cost of replacing fossil fuel heating systems with a heat pump or biomass boiler.",
"grant_value": 7500,
"url": "https://www.gov.uk/apply-boiler-upgrade-scheme"
}
]
The API provides a list of retrofit grants available in the area, alongside their value and the URL of the associated web page.
Code Samples
Request
With latitude & longitude
curl \
-X GET \
--header "x-api-key: <API KEY>" \
https://api.propeco.io/location?latitude=LATITUDE&longitude=LONGITUDE
const results = await fetch(`https://api.propeco.io/location?latitude=${latitude}&longitude=${longitude}`, {
headers: {
"x-api-key": API_KEY
},
});
const data = await results.json();
With x_coord & y_coord
curl \
-X GET \
--header "x-api-key: <API KEY>" \
https://api.propeco.io/data/location?x_coord=X_COORD&y_coord=Y_COORD
const results = await fetch(`https://api.propeco.io/location?x_coord=${x_coord}&y_coord=${y_coord}`, {
headers: {
"x-api-key": API_KEY
},
});
const data = await results.json();
Response
{
"location": {
"x_coord": 525815.175653079,
"y_coord": 176112.48523034283,
"latitude": 51.47,
"longitude": -0.19,
"admin_boundaries": {
"electoral_area_code": "E05013747",
"country_code": "E92000001",
"electoral_area_name": "Sands End",
"local_authority_district_code": "E09000013",
"local_authority_district_name": "Hammersmith and Fulham",
"county_code": "E09000013",
"county_name": "Hammersmith and Fulham",
"region_code": "E12000007",
"region_name": "London",
"country_name": "England"
},
"elevation": {
"elevation_upper": 3.38,
"elevation_lower": 0,
"elevation_estimate": 2.100795467454264,
"distance_from_upper": 460.0426905954379,
"distance_from_lower": 755.5129571930328,
"azimuth_ascending_degrees": 128.31068460244506,
"azimuth_descending_degrees": 13.145659146177893,
"is_above_high_tide_line": false
}
},
"planning": {
"conservation_areas": {
"in_conservation_area": true,
"conservation_area_area": 2319745.6529962253,
"conservation_area_proportion": 0.7431639961119204,
"nearest_conservation_area": {
"name": "No data available for publication by HE",
"distance": 0,
"nearest_point": null
}
},
"listed_buildings": {
"nearest_listed_buildings": [
{
"distance": 317.51970371452654,
"x_coord": 525867.650000001,
"y_coord": 176425.638875,
"latitude": 51.472803363681365,
"longitude": -0.18910933363089522,
"name": "LANGFORD SCHOOL INCLUDING WALL, RAILINGS, GATES AND ENTRANCES, AND FORMER SCHOOL KEEPER'S HOUSE AND SPECIAL SCHOOL",
"grade": "II",
"date_listed": "2009-08-07T00:00:00.000Z",
"url": "https://historicengland.org.uk/listing/the-list/list-entry/1393408"
},
{
"distance": 408.30710213995104,
"x_coord": 525422.450000001,
"y_coord": 176224.20475,
"latitude": 51.471091778454635,
"longitude": -0.1955874853640476,
"name": "FORMER PETERBOROUGH SCHOOL INCLUDING SCHOOL KEEPER'S COTTAGE (NO. 60), ENTRANCE GATES, SHEDS AND WCS",
"grade": "II",
"date_listed": "2009-12-11T00:00:00.000Z",
"url": "https://historicengland.org.uk/listing/the-list/list-entry/1393592"
},
{
"distance": 436.1545062494828,
"x_coord": 525381.574999999,
"y_coord": 176159.615125,
"latitude": 51.47052034493052,
"longitude": -0.19619856940526115,
"name": "FORMER PETERBOROUGH SCHOOL INCLUDING SCHOOL KEEPER'S COTTAGE (NO. 60), ENTRANCE GATES, SHEDS AND WCS",
"grade": "II",
"date_listed": "2009-12-11T00:00:00.000Z",
"url": "https://historicengland.org.uk/listing/the-list/list-entry/1393592"
},
{
"distance": 494.3610659388358,
"x_coord": 525616.149343287,
"y_coord": 175659.957450503,
"latitude": 51.46597785588248,
"longitude": -0.19300036834848813,
"name": "The former exhibition block of Watson House, now the Piper Building, and the attached relief panels by John Piper",
"grade": "II",
"date_listed": "2022-08-22T00:00:00.000Z",
"url": "https://historicengland.org.uk/listing/the-list/list-entry/1482128"
},
{
"distance": 613.7487134186349,
"x_coord": 525476,
"y_coord": 176624.000000004,
"latitude": 51.474672960667625,
"longitude": -0.1946751267955802,
"name": "117, NEW KING'S ROAD SW6",
"grade": "II",
"date_listed": "1985-02-14T00:00:00.000Z",
"url": "https://historicengland.org.uk/listing/the-list/list-entry/1192391"
},
{
"distance": 614.6409498873761,
"x_coord": 525467.000000002,
"y_coord": 176619.000000002,
"latitude": 51.47463001837374,
"longitude": -0.19480642165150036,
"name": "119 AND 121, NEW KING'S ROAD SW6",
"grade": "II",
"date_listed": "1985-02-14T00:00:00.000Z",
"url": "https://historicengland.org.uk/listing/the-list/list-entry/1358599"
},
{
"distance": 619.6996855863825,
"x_coord": 525482.000000001,
"y_coord": 176635.000000002,
"latitude": 51.474770490603085,
"longitude": -0.19458487785321982,
"name": "113 AND 115, NEW KING'S ROAD SW6",
"grade": "II",
"date_listed": "1985-02-14T00:00:00.000Z",
"url": "https://historicengland.org.uk/listing/the-list/list-entry/1079792"
},
{
"distance": 636.2237782652535,
"x_coord": 525256.000000001,
"y_coord": 175809.000000002,
"latitude": 51.46739705915429,
"longitude": -0.19812968696500535,
"name": "Former Castle Club",
"grade": "II",
"date_listed": "1970-05-12T00:00:00.000Z",
"url": "https://historicengland.org.uk/listing/the-list/list-entry/1286984"
},
{
"distance": 649.279887306411,
"x_coord": 525292,
"y_coord": 176497.000000002,
"latitude": 51.47357231499424,
"longitude": -0.19736810386603973,
"name": "K2 TELEPHONE KIOSK",
"grade": "II",
"date_listed": "1987-05-11T00:00:00.000Z",
"url": "https://historicengland.org.uk/listing/the-list/list-entry/1252954"
},
{
"distance": 675.1948294082496,
"x_coord": 525549,
"y_coord": 176733.000000004,
"latitude": 51.47563638690696,
"longitude": -0.19358588507184643,
"name": "NOS 71 TO 77 INCLUDING IRON RAILINGS",
"grade": "II",
"date_listed": "1970-05-12T00:00:00.000Z",
"url": "https://historicengland.org.uk/listing/the-list/list-entry/1192382"
}
]
},
"world_heritage_sites": {
"in_world_heritage_site": false,
"world_heritage_site_area": 0,
"world_heritage_site_proportion": 0,
"nearest_world_heritage_site": {
"name": "Palace of Westminster, Westminster Abbey and St. Margaret's Church",
"inscription_date": "1987-01-01T00:00:00.000Z",
"notes": "Core Area",
"url": "https://historicengland.org.uk/listing/the-list/list-entry/1000095",
"distance": 5219.394247308306,
"nearest_point": {
"x_coord": 529916.025999069,
"y_coord": 179341.277999882,
"latitude": 51.49809161098811,
"longitude": -0.12978059568154365
}
}
},
"national_parks": {
"in_national_park": false,
"national_park_area": 0,
"national_park_proportion": 0,
"nearest_national_park": {
"code": "E26000010",
"name": "South Downs",
"distance": 52036.569624133175,
"nearest_point": {
"x_coord": 496678.7996,
"y_coord": 132997.799000001,
"latitude": 51.088152792361065,
"longitude": -0.6209624707641703
}
}
}
},
"environment": {
"air_quality": {
"benzene": {
"percentile": 99.82110912343471,
"value": 0.6944051
},
"no2": {
"percentile": 99.87917019740765,
"value": 19.79008
},
"nox": {
"percentile": 99.87407023820732,
"value": 28.97738
},
"pm2.5": {
"percentile": 99.85955441873968,
"value": 8.513665
},
"pm10": {
"percentile": 98.928219754181,
"value": 14.75584
},
"so2": {
"percentile": 97.83251733986128,
"value": 2.559636
}
},
"greenspace": {
"greenspace_area": 428840.03866296785,
"greenspace_proportion": 0.137385095,
"nearest_greenspace_point": {
"distance": 192.92708842861828,
"x_coord": 525665.5394700419,
"y_coord": 175990.70725952857,
"latitude": 51.46893942742421,
"longitude": -0.19217227999126466,
"function": "Public Park Or Garden",
"name": "South Park"
}
},
"landslides": [],
"radon": {
"radon_class": 1,
"radon_affected_area": false,
"radon_exceeding_action_level_min_likelihood": 0,
"radon_exceeding_action_level_max_likelihood": 0.01
},
"subsidence": {
"collapsible_deposits": {
"class": 1,
"legend": "Low",
"advisory": "Areas of localised significant rating"
},
"compressible_ground": {
"class": 1,
"legend": "Low",
"advisory": "Areas of localised significant rating."
},
"landslides": {
"class": 1,
"legend": "Low",
"advisory": "Areas of localised significant rating."
},
"running_sand": {
"class": 1,
"legend": "Low",
"advisory": null
},
"shrink_swell": {
"class": 3,
"legend": "Significant",
"advisory": "Areas of localised significant rating."
},
"soluble_rocks": {
"class": 1,
"legend": "Low",
"advisory": null
},
"shrink_swell_2050_medium_emissions": {
"class": "Probable",
"legend": "It is probable that climate change will effect clay shrink-swell susceptibility and change the likelihood of ground movement, which causes subsidence."
},
"shrink_swell_2080_medium_emissions": {
"class": "Probable",
"legend": "It is probable that climate change will effect clay shrink-swell susceptibility and change the likelihood of ground movement, which causes subsidence."
},
"shrink_swell_2070_high_emissions": {
"class": "Probable",
"legend": "It is probable that climate change will affect clay shrink-swell susceptibility and change the likelihood of ground movement, which causes subsidence."
},
"shrink_swell_2030_high_emissions": {
"class": "Probable",
"legend": "It is probable that climate change will affect clay shrink-swell susceptibility and change the likelihood of ground movement, which causes subsidence."
},
"shrink_swell_2030_medium_emissions": {
"class": "Possible",
"legend": "It is possible that climate change will effect clay shrink-swell susceptibility and change the likelihood of ground movement, which causes subsidence."
}
}
},
"transportation": {
"nearest_airport": {
"name": "London City Airport",
"distance": 17509.95685092513,
"azimuth_degrees": 75.90890813386372,
"x_coord": 542798.2557996714,
"y_coord": 180375.5331606008,
"latitude": 51.50428,
"longitude": 0.0561
},
"low_emission_zones": {
"in_low_emission_zone": true,
"low_emission_zone_area": 3121445.152257984,
"low_emission_zone_proportion": 1,
"nearest_low_emission_zone": {
"name": "London_ULEZ",
"url": "https://tfl.gov.uk/modes/driving/ultra-low-emission-zone",
"distance": 0,
"nearest_point": null
}
},
"ev_charging_points": {
"nearest_charging_points": [
{
"distance": 19.256428557881254,
"x_coord": 525795.6042175693,
"y_coord": 176105.25205970107,
"latitude": 51.46994,
"longitude": -0.19026,
"name": "Canterbury Road"
},
{
"distance": 39.15672527727926,
"x_coord": 525782.3340692975,
"y_coord": 176136.07979683328,
"latitude": 51.47022,
"longitude": -0.19044,
"name": "Oakbury Road"
},
{
"distance": 39.17695590658329,
"x_coord": 525834.9242802628,
"y_coord": 176145.16805254162,
"latitude": 51.47029,
"longitude": -0.18968,
"name": "Oakbury Road"
},
{
"distance": 45.73600821999344,
"x_coord": 525849.6310963583,
"y_coord": 176084.3330554677,
"latitude": 51.46974,
"longitude": -0.18949,
"name": "Rosebury Road"
},
{
"distance": 46.29712563530651,
"x_coord": 525816.097879856,
"y_coord": 176066.1463090565,
"latitude": 51.469584,
"longitude": -0.189979,
"name": "Rosebury Road"
},
{
"distance": 65.13931896563858,
"x_coord": 525853.9307976345,
"y_coord": 176163.44097991282,
"latitude": 51.47045,
"longitude": -0.1894,
"name": "Oakbury Road"
},
{
"distance": 66.0421636245593,
"x_coord": 525753.0741700638,
"y_coord": 176139.029001993,
"latitude": 51.470253,
"longitude": -0.19086,
"name": "suby1100006626"
},
{
"distance": 66.79939139999648,
"x_coord": 525812.3667438151,
"y_coord": 176045.58046965452,
"latitude": 51.4694,
"longitude": -0.19004,
"name": "Rosebury Road"
},
{
"distance": 79.68661481438455,
"x_coord": 525783.4595538097,
"y_coord": 176186.17902185977,
"latitude": 51.47067,
"longitude": -0.190406,
"name": "Canterbury Road"
},
{
"distance": 81.55604025261553,
"x_coord": 525894.5894600323,
"y_coord": 176121.05078131362,
"latitude": 51.47006,
"longitude": -0.18883,
"name": "Rosebury Road"
}
]
}
},
"flood_risk": {
"england": {
"rivers_and_seas": {
"in_flood_risk_zone": true,
"annual_flood_risk": 0.001,
"flood_risk_description": "Very low",
"nearest_flood_risk_zone": {
"max_annual_flood_risk": 0.001,
"min_annual_flood_risk": null,
"flood_risk_description": "Very low",
"distance": 0,
"nearest_point": null
},
"highest_risk_flood_zone_within_50m": {
"max_annual_flood_risk": 0.001,
"min_annual_flood_risk": null,
"flood_risk_description": "Very low",
"distance": 0,
"nearest_point": null
}
}
},
"scotland": null,
"wales": null
},
"climate": {
"historical": {
"average_rainfall": {
"percentile": 6,
"value": 632.5485892
},
"average_sunshine": {
"percentile": 80,
"value": 1632.593228
},
"average_temperature": {
"percentile": 99,
"value": 12.33580166
},
"highest_rainfall": {
"percentile": 27,
"value": 48.36213045
},
"maximum_temperature": {
"percentile": 98,
"value": 40.03483407
},
"highest_wind_speed": {
"percentile": 1,
"value": 4.521262866
},
"minimum_temperature": {
"percentile": 3,
"value": -5.336074282
}
},
"future_projections": {
"annual_hot_days": {
"baseline_hot_days": 2.4,
"upper_recent_hot_days": 8.6,
"upper_recent_hot_days_change": 6.199999999999999,
"upper_recent_hot_days_change_relative": 2.583333333333333,
"lower_recent_hot_days": 4.6,
"lower_recent_hot_days_change": 2.1999999999999997,
"lower_recent_hot_days_change_relative": 0.9166666666666666,
"upper_hot_days": 42.1,
"upper_hot_days_change": 39.7,
"upper_hot_days_change_relative": 16.541666666666668,
"lower_hot_days": 7.6,
"lower_hot_days_change": 5.2,
"lower_hot_days_change_relative": 2.166666666666667
},
"maximum_temperature": {
"baseline_maximum_temperature": 30.93,
"upper_recent_maximum_temperature": 33.95,
"upper_recent_maximum_temperature_change": 3.020000000000003,
"upper_recent_maximum_temperature_change_relative": 0.09763983187843528,
"lower_recent_maximum_temperature": 31.64,
"lower_recent_maximum_temperature_change": 0.7100000000000009,
"lower_recent_maximum_temperature_change_relative": 0.02295505981247982,
"upper_maximum_temperature": 39.08,
"upper_maximum_temperature_change": 8.15,
"upper_maximum_temperature_change_relative": 0.2634982217911413,
"lower_maximum_temperature": 31.88,
"lower_maximum_temperature_change": 0.95,
"lower_maximum_temperature_change_relative": 0.03071451665050113
},
"summer_precipitation": {
"baseline_summer_precipitation": 1.53,
"upper_recent_summer_precipitation": 1.67,
"upper_recent_summer_precipitation_change": 0.1399999999999999,
"upper_recent_summer_precipitation_change_relative": 0.09150326797385615,
"lower_recent_summer_precipitation": 1.34,
"lower_recent_summer_precipitation_change": -0.18999999999999995,
"lower_recent_summer_precipitation_change_relative": -0.12418300653594767,
"upper_summer_precipitation": 1.2452670000000001,
"upper_summer_precipitation_change": -0.28473299999999996,
"upper_summer_precipitation_change_relative": -0.1861,
"lower_summer_precipitation": 1.320237,
"lower_summer_precipitation_change": -0.20976300000000003,
"lower_summer_precipitation_change_relative": -0.1371
},
"winter_precipitation": {
"baseline_winter_precipitation": 1.65,
"upper_recent_winter_precipitation": 1.97,
"upper_recent_winter_precipitation_change": 0.32000000000000006,
"upper_recent_winter_precipitation_change_relative": 0.193939393939394,
"lower_recent_winter_precipitation": 1.64,
"lower_recent_winter_precipitation_change": -0.010000000000000009,
"lower_recent_winter_precipitation_change_relative": -0.006060606060606067,
"upper_winter_precipitation": 2.080485,
"upper_winter_precipitation_change": 0.43048499999999995,
"upper_winter_precipitation_change_relative": 0.2609,
"lower_winter_precipitation": 1.4754299999999998,
"lower_winter_precipitation_change": -0.17457,
"lower_winter_precipitation_change_relative": -0.1058
}
}
},
"social": {
"house_price_index": {
"date": "2026-01-07T00:00:00.000Z",
"region_name": "Hammersmith and Fulham",
"average_price": 738048,
"average_price_seasonally_adjusted": null,
"house_price_index": 87.4,
"house_price_index_seasonally_adjusted": null,
"percentage_change_1_month": 1.4,
"percentage_change_12_months": -9,
"sales_volume": null,
"average_price_detached": 1716974,
"house_price_index_detached": 89.9,
"percentage_change_1_month_detached": 2.3,
"percentage_change_12_months_detached": -6.1,
"average_price_semi_detached": 1503460,
"house_price_index_semi_detached": 91.5,
"percentage_change_1_month_semi_detached": 3.2,
"percentage_change_12_months_semi_detached": -4.4,
"average_price_terraced": 1139759,
"house_price_index_terraced": 91.6,
"percentage_change_1_month_terraced": 2.1,
"percentage_change_12_months_terraced": -6.7,
"average_price_flat": 568235,
"house_price_index_flat": 85.7,
"percentage_change_1_month_flat": 1,
"percentage_change_12_months_flat": -10,
"average_price_cash": 736198,
"house_price_index_cash": 87.4,
"percentage_change_1_month_cash": 1.4,
"percentage_change_12_months_cash": -9,
"sales_volume_cash": null,
"average_price_mortgage": 738831,
"house_price_index_mortgage": 87.5,
"percentage_change_1_month_mortgage": 1.4,
"percentage_change_12_months_mortgage": -9,
"sales_volume_mortgage": null,
"average_price_first_time_buyer": 629368,
"house_price_index_first_time_buyer": 86.6,
"percentage_change_1_month_first_time_buyer": 1.2,
"percentage_change_12_months_first_time_buyer": -9.4,
"average_price_former_owner_occupier": 908993,
"house_price_index_former_owner_occupier": 88.9,
"percentage_change_1_month_former_owner_occupier": 1.5,
"percentage_change_12_months_former_owner_occupier": -8.2,
"average_price_new": null,
"house_price_index_new": null,
"percentage_change_1_month_new": null,
"percentage_change_12_months_new": null,
"sales_volume_new": null,
"average_price_existing": null,
"house_price_index_existing": null,
"percentage_change_1_month_existing": null,
"percentage_change_12_months_existing": null,
"sales_volume_existing": null
},
"fuel_poverty": {
"lower_layer_super_output_area": null,
"local_authority": {
"local_authority_district_code": "E09000013",
"local_authority_district_name": "Hammersmith and Fulham",
"household_count": 88809,
"fuel_poor_household_count": 8657,
"fuel_poor_household_percentage": 9.747885912463827
},
"region": {
"region_code": "E12000007",
"region_name": "London",
"household_count": 3731959,
"fuel_poor_household_count": 359488,
"fuel_poor_household_percentage": 9.632688890740761
}
},
"nhs_locations": {
"nearest_hospital": {
"distance": 1694.0308451896976,
"azimuth_degrees": 30.253133315171084,
"x_coord": 526355.3334399035,
"y_coord": 177718.09105674824,
"latitude": 51.484310150146484,
"longitude": -0.1816297024488449,
"name": "Chelsea and Westminster Hospital",
"url": "http://www.chelwest.nhs.uk",
"address1": "369 Fulham Road",
"address2": null,
"address3": null,
"postcode": "SW10 9NH"
},
"nearest_gp_practice": {
"distance": 361.3559173344239,
"azimuth_degrees": 335.8858242670447,
"x_coord": 525709.3269117592,
"y_coord": 176457.99086409376,
"latitude": 51.47312927246094,
"longitude": -0.1913762241601944,
"name": "Sands End Health Clinic",
"url": null,
"address1": "1 BROUGHTON ROAD APPROACH",
"address2": null,
"address3": null,
"postcode": "SW6 2FE"
},
"nearest_dentist": {
"distance": 714.0861361693208,
"azimuth_degrees": 117.77481416399714,
"x_coord": 526372.3058257732,
"y_coord": 175665.8030384626,
"latitude": 51.46586227416992,
"longitude": -0.1821182817220688,
"name": "Mazaheri, Pakan",
"url": "http://www.chatfielddental.co.uk",
"address1": "Chatfield Dental Centre",
"address2": "50 Chatfield Road",
"address3": null,
"postcode": "SW11 3UJ"
}
},
"defibrillators": [
{
"distance": 126.22397022729746,
"azimuth_degrees": 200.84288390551515,
"x_coord": 525789.0171197077,
"y_coord": 175989.0015399558,
"latitude": 51.4688967,
"longitude": -0.1903961,
"location_name": "St Matthew's Church",
"availability": "24/7 Access",
"access_type": "Public"
},
{
"distance": 199.2435572313199,
"azimuth_degrees": 211.75905197341186,
"x_coord": 525747.9359240016,
"y_coord": 175924.9304012088,
"latitude": 51.46833,
"longitude": -0.19101,
"location_name": null,
"availability": "24/7 Access",
"access_type": "Public"
},
{
"distance": 244.22209061414233,
"azimuth_degrees": 333.88360877408826,
"x_coord": 525737.9329731906,
"y_coord": 176344.17035707302,
"latitude": 51.4721,
"longitude": -0.191005,
"location_name": "L'ecole Des Petits",
"availability": "Varied Access",
"access_type": "Restricted"
},
{
"distance": 290.88681434821984,
"azimuth_degrees": 178.42704048299623,
"x_coord": 525827.3446016484,
"y_coord": 175821.85306513758,
"latitude": 51.467386,
"longitude": -0.189904,
"location_name": "Hammersmith Advertising Kiosk",
"availability": "24/7 Access",
"access_type": "Public"
},
{
"distance": 302.8229412191093,
"azimuth_degrees": 140.86101336611716,
"x_coord": 525959.0147046405,
"y_coord": 175846.00434739992,
"latitude": 51.4675738,
"longitude": -0.1880008,
"location_name": "The Harbour Club - Chelsea",
"availability": "Varied Access",
"access_type": "Restricted"
},
{
"distance": 333.6140287197404,
"azimuth_degrees": 137.39558772207252,
"x_coord": 525988.4413866858,
"y_coord": 175827.39348069753,
"latitude": 51.4674,
"longitude": -0.187584,
"location_name": "Sainsburys",
"availability": "Varied Access",
"access_type": "Public"
},
{
"distance": 333.653126726911,
"azimuth_degrees": 338.11265399158196,
"x_coord": 525726.0143506106,
"y_coord": 176434.0045472078,
"latitude": 51.47291,
"longitude": -0.1911446,
"location_name": "Howdens At Fulham",
"availability": "Varied Access",
"access_type": "Restricted"
},
{
"distance": 358.0288388089202,
"azimuth_degrees": 335.8415050038028,
"x_coord": 525710.1172957504,
"y_coord": 176454.7532407891,
"latitude": 51.4731,
"longitude": -0.191366,
"location_name": null,
"availability": "Varied Access",
"access_type": "Public"
},
{
"distance": 382.79550386331226,
"azimuth_degrees": 95.35922046735563,
"x_coord": 526195.0154642942,
"y_coord": 176065.00770309236,
"latitude": 51.4694895,
"longitude": -0.1845269,
"location_name": null,
"availability": "Varied Access",
"access_type": "Restricted"
},
{
"distance": 382.79550386331226,
"azimuth_degrees": 95.35922046735563,
"x_coord": 526195.0154642942,
"y_coord": 176065.00770309236,
"latitude": 51.4694895,
"longitude": -0.1845269,
"location_name": null,
"availability": "Varied Access",
"access_type": "Restricted"
}
]
},
"energy": {
"retrofit_grants": [
{
"name": "Boiler Upgrade Scheme",
"description": "Grant of up to £7,500 to cover part of the cost of replacing fossil fuel heating systems with a heat pump or biomass boiler.",
"grant_value": 7500,
"url": "https://www.gov.uk/apply-boiler-upgrade-scheme"
}
]
}
}
{
"$schema" : "http://json-schema.org/draft-07/schema#",
"definitions" : {
"AdminBoundaryByXYInfo" : {
"properties" : {
"country_code" : {
"type" : [
"null",
"string"
]
},
"country_name" : {
"type" : [
"null",
"string"
]
},
"county_code" : {
"type" : [
"null",
"string"
]
},
"county_name" : {
"type" : [
"null",
"string"
]
},
"electoral_area_code" : {
"type" : "string"
},
"electoral_area_name" : {
"type" : [
"null",
"string"
]
},
"local_authority_district_code" : {
"type" : [
"null",
"string"
]
},
"local_authority_district_name" : {
"type" : [
"null",
"string"
]
},
"region_code" : {
"type" : [
"null",
"string"
]
},
"region_name" : {
"type" : [
"null",
"string"
]
}
},
"required" : [
"country_code",
"country_name",
"county_code",
"county_name",
"electoral_area_code",
"electoral_area_name",
"local_authority_district_code",
"local_authority_district_name",
"region_code",
"region_name"
],
"type" : "object"
},
"AirQualityInfo" : {
"properties" : {
"benzene" : {
"$ref" : "#/definitions/AirQualityValue"
},
"no2" : {
"$ref" : "#/definitions/AirQualityValue"
},
"nox" : {
"$ref" : "#/definitions/AirQualityValue"
},
"pm10" : {
"$ref" : "#/definitions/AirQualityValue"
},
"pm2.5" : {
"$ref" : "#/definitions/AirQualityValue"
},
"so2" : {
"$ref" : "#/definitions/AirQualityValue"
}
},
"required" : [
"benzene",
"no2",
"nox",
"pm10",
"pm2.5",
"so2"
],
"type" : "object"
},
"AirQualityValue" : {
"properties" : {
"percentile" : {
"type" : "number"
},
"value" : {
"type" : "number"
}
},
"required" : [
"percentile",
"value"
],
"type" : "object"
},
"AnnualHotDaysChange" : {
"properties" : {
"baseline_hot_days" : {
"type" : "number"
},
"lower_hot_days" : {
"type" : "number"
},
"lower_hot_days_change" : {
"type" : "number"
},
"lower_hot_days_change_relative" : {
"type" : [
"null",
"number"
]
},
"lower_recent_hot_days" : {
"type" : "number"
},
"lower_recent_hot_days_change" : {
"type" : "number"
},
"lower_recent_hot_days_change_relative" : {
"type" : [
"null",
"number"
]
},
"upper_hot_days" : {
"type" : "number"
},
"upper_hot_days_change" : {
"type" : "number"
},
"upper_hot_days_change_relative" : {
"type" : [
"null",
"number"
]
},
"upper_recent_hot_days" : {
"type" : "number"
},
"upper_recent_hot_days_change" : {
"type" : "number"
},
"upper_recent_hot_days_change_relative" : {
"type" : [
"null",
"number"
]
}
},
"required" : [
"baseline_hot_days",
"lower_hot_days",
"lower_hot_days_change",
"lower_hot_days_change_relative",
"lower_recent_hot_days",
"lower_recent_hot_days_change",
"lower_recent_hot_days_change_relative",
"upper_hot_days",
"upper_hot_days_change",
"upper_hot_days_change_relative",
"upper_recent_hot_days",
"upper_recent_hot_days_change",
"upper_recent_hot_days_change_relative"
],
"type" : "object"
},
"BaseEnergyData" : {
"properties" : {
"retrofit_grants" : {
"anyOf" : [
{
"items" : {
"$ref" : "#/definitions/RetrofitGrant"
},
"type" : "array"
},
{
"type" : "null"
}
]
}
},
"required" : [
"retrofit_grants"
],
"type" : "object"
},
"BaseSocialData" : {
"properties" : {
"defibrillators" : {
"anyOf" : [
{
"items" : {
"$ref" : "#/definitions/DefibrillatorResult"
},
"type" : "array"
},
{
"type" : "null"
}
]
},
"fuel_poverty" : {
"anyOf" : [
{
"$ref" : "#/definitions/FuelPovertyInfo"
},
{
"type" : "null"
}
]
},
"house_price_index" : {
"anyOf" : [
{
"$ref" : "#/definitions/HousePriceIndexInfo"
},
{
"type" : "null"
}
]
},
"nhs_locations" : {
"anyOf" : [
{
"$ref" : "#/definitions/NHSLocationsInfo"
},
{
"type" : "null"
}
]
}
},
"required" : [
"defibrillators",
"fuel_poverty",
"house_price_index",
"nhs_locations"
],
"type" : "object"
},
"ClimateChangeInfo" : {
"properties" : {
"annual_hot_days" : {
"anyOf" : [
{
"$ref" : "#/definitions/AnnualHotDaysChange"
},
{
"type" : "null"
}
]
},
"maximum_temperature" : {
"anyOf" : [
{
"$ref" : "#/definitions/MaximumTemperatureChange"
},
{
"type" : "null"
}
]
},
"summer_precipitation" : {
"anyOf" : [
{
"$ref" : "#/definitions/SummerPrecipitationChange"
},
{
"type" : "null"
}
]
},
"winter_precipitation" : {
"anyOf" : [
{
"$ref" : "#/definitions/WinterPrecipitationChange"
},
{
"type" : "null"
}
]
}
},
"required" : [
"annual_hot_days",
"maximum_temperature",
"summer_precipitation",
"winter_precipitation"
],
"type" : "object"
},
"ClimateData" : {
"properties" : {
"future_projections" : {
"anyOf" : [
{
"$ref" : "#/definitions/ClimateChangeInfo"
},
{
"type" : "null"
}
]
},
"historical" : {
"anyOf" : [
{
"$ref" : "#/definitions/HistoricalClimateData"
},
{
"type" : "null"
}
]
}
},
"required" : [
"future_projections",
"historical"
],
"type" : "object"
},
"ClimateRanking" : {
"properties" : {
"percentile" : {
"type" : "number"
},
"value" : {
"type" : "number"
}
},
"required" : [
"percentile",
"value"
],
"type" : "object"
},
"ConservationAreaInfo" : {
"properties" : {
"conservation_area_area" : {
"type" : "number"
},
"conservation_area_proportion" : {
"type" : "number"
},
"in_conservation_area" : {
"type" : "boolean"
},
"nearest_conservation_area" : {
"anyOf" : [
{
"$ref" : "#/definitions/NearestConservationArea"
},
{
"type" : "null"
}
]
}
},
"required" : [
"conservation_area_area",
"conservation_area_proportion",
"in_conservation_area",
"nearest_conservation_area"
],
"type" : "object"
},
"ConservationAreaNearestPoint" : {
"properties" : {
"latitude" : {
"type" : "number"
},
"longitude" : {
"type" : "number"
},
"x_coord" : {
"type" : "number"
},
"y_coord" : {
"type" : "number"
}
},
"required" : [
"latitude",
"longitude",
"x_coord",
"y_coord"
],
"type" : "object"
},
"CurrentSubsidenceResult" : {
"properties" : {
"advisory" : {
"type" : [
"null",
"string"
]
},
"class" : {
"type" : "number"
},
"legend" : {
"type" : "string"
}
},
"required" : [
"advisory",
"class",
"legend"
],
"type" : "object"
},
"DefibrillatorResult" : {
"properties" : {
"access_type" : {
"type" : [
"null",
"string"
]
},
"availability" : {
"type" : [
"null",
"string"
]
},
"azimuth_degrees" : {
"type" : "number"
},
"distance" : {
"type" : "number"
},
"latitude" : {
"type" : "number"
},
"location_name" : {
"type" : [
"null",
"string"
]
},
"longitude" : {
"type" : "number"
},
"x_coord" : {
"type" : "number"
},
"y_coord" : {
"type" : "number"
}
},
"required" : [
"access_type",
"availability",
"azimuth_degrees",
"distance",
"latitude",
"location_name",
"longitude",
"x_coord",
"y_coord"
],
"type" : "object"
},
"ElevationInfo" : {
"properties" : {
"azimuth_ascending_degrees" : {
"type" : [
"null",
"number"
]
},
"azimuth_descending_degrees" : {
"type" : "number"
},
"distance_from_lower" : {
"type" : "number"
},
"distance_from_upper" : {
"type" : [
"null",
"number"
]
},
"elevation_estimate" : {
"type" : "number"
},
"elevation_lower" : {
"type" : "number"
},
"elevation_upper" : {
"type" : [
"null",
"number"
]
},
"is_above_high_tide_line" : {
"type" : [
"null",
"boolean"
]
}
},
"required" : [
"azimuth_ascending_degrees",
"azimuth_descending_degrees",
"distance_from_lower",
"distance_from_upper",
"elevation_estimate",
"elevation_lower",
"elevation_upper",
"is_above_high_tide_line"
],
"type" : "object"
},
"EnglandFloodRiskDescription" : {
"enum" : [
"High",
"Low",
"Medium",
"Unavailable",
"Very low"
],
"type" : "string"
},
"EnglandFloodRiskInfo" : {
"description" : "Combined England flood-risk response.",
"properties" : {
"rivers_and_seas" : {
"$ref" : "#/definitions/EnglandFloodRiskResult"
},
"rivers_and_seas_climate_change" : {
"$ref" : "#/definitions/EnglandFloodRiskResult",
"description" : "Parsed England flood-risk result for a single dataset."
},
"surface_water" : {
"$ref" : "#/definitions/EnglandFloodRiskResult",
"description" : "Parsed England flood-risk result for a single dataset."
},
"surface_water_climate_change" : {
"$ref" : "#/definitions/EnglandFloodRiskResult",
"description" : "Parsed England flood-risk result for a single dataset."
}
},
"required" : [
"rivers_and_seas"
],
"type" : "object"
},
"EnglandFloodRiskResult" : {
"description" : "Parsed England flood-risk result for a single dataset.",
"properties" : {
"annual_flood_risk" : {
"type" : [
"null",
"number"
]
},
"flood_risk_coverage" : {
"$ref" : "#/definitions/FloodRiskCoverage",
"description" : "Exclusive flood-risk coverage across the supplied property geometry."
},
"flood_risk_description" : {
"anyOf" : [
{
"enum" : [
"High",
"Low",
"Medium",
"Unavailable",
"Very low"
],
"type" : "string"
},
{
"type" : "null"
}
]
},
"highest_risk_flood_zone_within_50m" : {
"anyOf" : [
{
"$ref" : "#/definitions/EnglandFloodRiskZone"
},
{
"type" : "null"
}
]
},
"highest_risk_flood_zone_within_buffer" : {
"anyOf" : [
{
"$ref" : "#/definitions/FloodRiskBufferResult"
},
{
"type" : "null"
}
]
},
"in_flood_risk_zone" : {
"type" : [
"null",
"boolean"
]
},
"nearest_flood_risk_zone" : {
"anyOf" : [
{
"$ref" : "#/definitions/EnglandFloodRiskZone"
},
{
"type" : "null"
}
]
},
"unavailable_coverage" : {
"$ref" : "#/definitions/FloodRiskUnavailableCoverage"
}
},
"required" : [
"annual_flood_risk",
"highest_risk_flood_zone_within_50m",
"in_flood_risk_zone",
"nearest_flood_risk_zone"
],
"type" : "object"
},
"EnglandFloodRiskZone" : {
"description" : "Parsed England flood-risk zone.",
"properties" : {
"distance" : {
"type" : "number"
},
"flood_risk_description" : {
"$ref" : "#/definitions/EnglandFloodRiskDescription"
},
"max_annual_flood_risk" : {
"type" : [
"null",
"number"
]
},
"min_annual_flood_risk" : {
"type" : [
"null",
"number"
]
},
"nearest_point" : {
"anyOf" : [
{
"$ref" : "#/definitions/FloodRiskNearestPoint"
},
{
"type" : "null"
}
]
}
},
"required" : [
"distance",
"flood_risk_description",
"max_annual_flood_risk",
"min_annual_flood_risk",
"nearest_point"
],
"type" : "object"
},
"EnvironmentData" : {
"properties" : {
"air_quality" : {
"anyOf" : [
{
"$ref" : "#/definitions/AirQualityInfo"
},
{
"type" : "null"
}
]
},
"greenspace" : {
"anyOf" : [
{
"$ref" : "#/definitions/GreenspaceInfo"
},
{
"type" : "null"
}
]
},
"landslides" : {
"anyOf" : [
{
"items" : {
"$ref" : "#/definitions/LandslideXYResult"
},
"type" : "array"
},
{
"type" : "null"
}
]
},
"radon" : {
"anyOf" : [
{
"$ref" : "#/definitions/RadonInfo"
},
{
"type" : "null"
}
]
},
"subsidence" : {
"anyOf" : [
{
"$ref" : "#/definitions/SubsidenceInfo"
},
{
"type" : "null"
}
]
}
},
"required" : [
"air_quality",
"greenspace",
"landslides",
"radon",
"subsidence"
],
"type" : "object"
},
"EvChargingPoint" : {
"properties" : {
"distance" : {
"type" : "number"
},
"latitude" : {
"type" : "number"
},
"longitude" : {
"type" : "number"
},
"name" : {
"type" : [
"null",
"string"
]
},
"x_coord" : {
"type" : "number"
},
"y_coord" : {
"type" : "number"
}
},
"required" : [
"distance",
"latitude",
"longitude",
"name",
"x_coord",
"y_coord"
],
"type" : "object"
},
"EvChargingPointsInfo" : {
"properties" : {
"nearest_charging_points" : {
"items" : {
"$ref" : "#/definitions/EvChargingPoint"
},
"type" : "array"
}
},
"required" : [
"nearest_charging_points"
],
"type" : "object"
},
"FloodRiskBand" : {
"description" : "Flood risk bands used by the Environment Agency NAFRA2 datasets.",
"enum" : [
"High",
"Low",
"Medium",
"Very low"
],
"type" : "string"
},
"FloodRiskBufferResult" : {
"properties" : {
"distance" : {
"type" : "number"
},
"flood_risk_description" : {
"$ref" : "#/definitions/FloodRiskBand"
}
},
"required" : [
"distance",
"flood_risk_description"
],
"type" : "object"
},
"FloodRiskCoverage" : {
"properties" : {
"high" : {
"$ref" : "#/definitions/FloodRiskCoverageBand"
},
"low" : {
"$ref" : "#/definitions/FloodRiskCoverageBand"
},
"medium" : {
"$ref" : "#/definitions/FloodRiskCoverageBand"
},
"very_low" : {
"$ref" : "#/definitions/FloodRiskCoverageBand"
}
},
"required" : [
"high",
"low",
"medium",
"very_low"
],
"type" : "object"
},
"FloodRiskCoverageBand" : {
"properties" : {
"area" : {
"type" : "number"
},
"proportion" : {
"type" : "number"
}
},
"required" : [
"area",
"proportion"
],
"type" : "object"
},
"FloodRiskData" : {
"properties" : {
"england" : {
"anyOf" : [
{
"$ref" : "#/definitions/EnglandFloodRiskInfo"
},
{
"type" : "null"
}
]
},
"scotland" : {
"anyOf" : [
{
"$ref" : "#/definitions/ScotlandFloodRiskInfo"
},
{
"type" : "null"
}
]
},
"wales" : {
"anyOf" : [
{
"$ref" : "#/definitions/WalesFloodRiskInfo"
},
{
"type" : "null"
}
]
}
},
"required" : [
"england",
"scotland",
"wales"
],
"type" : "object"
},
"FloodRiskNearestPoint" : {
"description" : "Location of the nearest point on a flood-risk zone.",
"properties" : {
"latitude" : {
"type" : "number"
},
"longitude" : {
"type" : "number"
},
"x_coord" : {
"type" : "number"
},
"y_coord" : {
"type" : "number"
}
},
"required" : [
"latitude",
"longitude",
"x_coord",
"y_coord"
],
"type" : "object"
},
"FloodRiskUnavailableCoverage" : {
"properties" : {
"area" : {
"type" : "number"
},
"proportion" : {
"type" : "number"
}
},
"required" : [
"area",
"proportion"
],
"type" : "object"
},
"FuelPovertyInfo" : {
"properties" : {
"local_authority" : {
"anyOf" : [
{
"$ref" : "#/definitions/FuelPovertyLocalAuthority"
},
{
"type" : "null"
}
]
},
"lower_layer_super_output_area" : {
"anyOf" : [
{
"$ref" : "#/definitions/FuelPovertyLowerLayerSuperOutputArea"
},
{
"type" : "null"
}
]
},
"region" : {
"anyOf" : [
{
"$ref" : "#/definitions/FuelPovertyRegion"
},
{
"type" : "null"
}
]
}
},
"required" : [
"local_authority",
"lower_layer_super_output_area",
"region"
],
"type" : "object"
},
"FuelPovertyLocalAuthority" : {
"properties" : {
"fuel_poor_household_count" : {
"type" : "number"
},
"fuel_poor_household_percentage" : {
"type" : "number"
},
"household_count" : {
"type" : "number"
},
"local_authority_district_code" : {
"type" : "string"
},
"local_authority_district_name" : {
"type" : "string"
}
},
"required" : [
"fuel_poor_household_count",
"fuel_poor_household_percentage",
"household_count",
"local_authority_district_code",
"local_authority_district_name"
],
"type" : "object"
},
"FuelPovertyLowerLayerSuperOutputArea" : {
"properties" : {
"fuel_poor_household_count" : {
"type" : "number"
},
"fuel_poor_household_percentage" : {
"type" : "number"
},
"household_count" : {
"type" : "number"
},
"lower_layer_super_output_area_code" : {
"type" : "string"
},
"lower_layer_super_output_area_name" : {
"type" : "string"
}
},
"required" : [
"fuel_poor_household_count",
"fuel_poor_household_percentage",
"household_count",
"lower_layer_super_output_area_code",
"lower_layer_super_output_area_name"
],
"type" : "object"
},
"FuelPovertyRegion" : {
"properties" : {
"fuel_poor_household_count" : {
"type" : "number"
},
"fuel_poor_household_percentage" : {
"type" : "number"
},
"household_count" : {
"type" : "number"
},
"region_code" : {
"type" : "string"
},
"region_name" : {
"type" : "string"
}
},
"required" : [
"fuel_poor_household_count",
"fuel_poor_household_percentage",
"household_count",
"region_code",
"region_name"
],
"type" : "object"
},
"FutureSubsidenceResult" : {
"properties" : {
"class" : {
"type" : "string"
},
"legend" : {
"type" : "string"
}
},
"required" : [
"class",
"legend"
],
"type" : "object"
},
"GreenspaceInfo" : {
"properties" : {
"greenspace_area" : {
"type" : "number"
},
"greenspace_proportion" : {
"type" : "number"
},
"nearest_greenspace_point" : {
"anyOf" : [
{
"$ref" : "#/definitions/NearestGreenspacePoint"
},
{
"type" : "null"
}
]
}
},
"required" : [
"greenspace_area",
"greenspace_proportion",
"nearest_greenspace_point"
],
"type" : "object"
},
"HistoricalClimateData" : {
"properties" : {
"average_rainfall" : {
"$ref" : "#/definitions/ClimateRanking"
},
"average_sunshine" : {
"$ref" : "#/definitions/ClimateRanking"
},
"average_temperature" : {
"$ref" : "#/definitions/ClimateRanking"
},
"highest_rainfall" : {
"$ref" : "#/definitions/ClimateRanking"
},
"highest_wind_speed" : {
"$ref" : "#/definitions/ClimateRanking"
},
"maximum_temperature" : {
"$ref" : "#/definitions/ClimateRanking"
},
"minimum_temperature" : {
"$ref" : "#/definitions/ClimateRanking"
}
},
"type" : "object"
},
"HousePriceIndexInfo" : {
"properties" : {
"average_price" : {
"type" : [
"null",
"number"
]
},
"average_price_cash" : {
"type" : [
"null",
"number"
]
},
"average_price_detached" : {
"type" : [
"null",
"number"
]
},
"average_price_existing" : {
"type" : [
"null",
"number"
]
},
"average_price_first_time_buyer" : {
"type" : [
"null",
"number"
]
},
"average_price_flat" : {
"type" : [
"null",
"number"
]
},
"average_price_former_owner_occupier" : {
"type" : [
"null",
"number"
]
},
"average_price_mortgage" : {
"type" : [
"null",
"number"
]
},
"average_price_new" : {
"type" : [
"null",
"number"
]
},
"average_price_seasonally_adjusted" : {
"type" : [
"null",
"number"
]
},
"average_price_semi_detached" : {
"type" : [
"null",
"number"
]
},
"average_price_terraced" : {
"type" : [
"null",
"number"
]
},
"date" : {
"format" : "date-time",
"type" : "string"
},
"house_price_index" : {
"type" : [
"null",
"number"
]
},
"house_price_index_cash" : {
"type" : [
"null",
"number"
]
},
"house_price_index_detached" : {
"type" : [
"null",
"number"
]
},
"house_price_index_existing" : {
"type" : [
"null",
"number"
]
},
"house_price_index_first_time_buyer" : {
"type" : [
"null",
"number"
]
},
"house_price_index_flat" : {
"type" : [
"null",
"number"
]
},
"house_price_index_former_owner_occupier" : {
"type" : [
"null",
"number"
]
},
"house_price_index_mortgage" : {
"type" : [
"null",
"number"
]
},
"house_price_index_new" : {
"type" : [
"null",
"number"
]
},
"house_price_index_seasonally_adjusted" : {
"type" : [
"null",
"number"
]
},
"house_price_index_semi_detached" : {
"type" : [
"null",
"number"
]
},
"house_price_index_terraced" : {
"type" : [
"null",
"number"
]
},
"percentage_change_12_months" : {
"type" : [
"null",
"number"
]
},
"percentage_change_12_months_cash" : {
"type" : [
"null",
"number"
]
},
"percentage_change_12_months_detached" : {
"type" : [
"null",
"number"
]
},
"percentage_change_12_months_existing" : {
"type" : [
"null",
"number"
]
},
"percentage_change_12_months_first_time_buyer" : {
"type" : [
"null",
"number"
]
},
"percentage_change_12_months_flat" : {
"type" : [
"null",
"number"
]
},
"percentage_change_12_months_former_owner_occupier" : {
"type" : [
"null",
"number"
]
},
"percentage_change_12_months_mortgage" : {
"type" : [
"null",
"number"
]
},
"percentage_change_12_months_new" : {
"type" : [
"null",
"number"
]
},
"percentage_change_12_months_semi_detached" : {
"type" : [
"null",
"number"
]
},
"percentage_change_12_months_terraced" : {
"type" : [
"null",
"number"
]
},
"percentage_change_1_month" : {
"type" : [
"null",
"number"
]
},
"percentage_change_1_month_cash" : {
"type" : [
"null",
"number"
]
},
"percentage_change_1_month_detached" : {
"type" : [
"null",
"number"
]
},
"percentage_change_1_month_existing" : {
"type" : [
"null",
"number"
]
},
"percentage_change_1_month_first_time_buyer" : {
"type" : [
"null",
"number"
]
},
"percentage_change_1_month_flat" : {
"type" : [
"null",
"number"
]
},
"percentage_change_1_month_former_owner_occupier" : {
"type" : [
"null",
"number"
]
},
"percentage_change_1_month_mortgage" : {
"type" : [
"null",
"number"
]
},
"percentage_change_1_month_new" : {
"type" : [
"null",
"number"
]
},
"percentage_change_1_month_semi_detached" : {
"type" : [
"null",
"number"
]
},
"percentage_change_1_month_terraced" : {
"type" : [
"null",
"number"
]
},
"region_name" : {
"type" : "string"
},
"sales_volume" : {
"type" : [
"null",
"number"
]
},
"sales_volume_cash" : {
"type" : [
"null",
"number"
]
},
"sales_volume_existing" : {
"type" : [
"null",
"number"
]
},
"sales_volume_mortgage" : {
"type" : [
"null",
"number"
]
},
"sales_volume_new" : {
"type" : [
"null",
"number"
]
}
},
"required" : [
"average_price",
"average_price_cash",
"average_price_detached",
"average_price_existing",
"average_price_first_time_buyer",
"average_price_flat",
"average_price_former_owner_occupier",
"average_price_mortgage",
"average_price_new",
"average_price_seasonally_adjusted",
"average_price_semi_detached",
"average_price_terraced",
"date",
"house_price_index",
"house_price_index_cash",
"house_price_index_detached",
"house_price_index_existing",
"house_price_index_first_time_buyer",
"house_price_index_flat",
"house_price_index_former_owner_occupier",
"house_price_index_mortgage",
"house_price_index_new",
"house_price_index_seasonally_adjusted",
"house_price_index_semi_detached",
"house_price_index_terraced",
"percentage_change_12_months",
"percentage_change_12_months_cash",
"percentage_change_12_months_detached",
"percentage_change_12_months_existing",
"percentage_change_12_months_first_time_buyer",
"percentage_change_12_months_flat",
"percentage_change_12_months_former_owner_occupier",
"percentage_change_12_months_mortgage",
"percentage_change_12_months_new",
"percentage_change_12_months_semi_detached",
"percentage_change_12_months_terraced",
"percentage_change_1_month",
"percentage_change_1_month_cash",
"percentage_change_1_month_detached",
"percentage_change_1_month_existing",
"percentage_change_1_month_first_time_buyer",
"percentage_change_1_month_flat",
"percentage_change_1_month_former_owner_occupier",
"percentage_change_1_month_mortgage",
"percentage_change_1_month_new",
"percentage_change_1_month_semi_detached",
"percentage_change_1_month_terraced",
"region_name",
"sales_volume",
"sales_volume_cash",
"sales_volume_existing",
"sales_volume_mortgage",
"sales_volume_new"
],
"type" : "object"
},
"LandslideXYResult" : {
"properties" : {
"distance" : {
"type" : "number"
},
"latitude" : {
"type" : "number"
},
"longitude" : {
"type" : "number"
},
"name" : {
"type" : [
"null",
"string"
]
},
"x_coord" : {
"type" : "number"
},
"y_coord" : {
"type" : "number"
}
},
"required" : [
"distance",
"latitude",
"longitude",
"name",
"x_coord",
"y_coord"
],
"type" : "object"
},
"ListedBuilding" : {
"properties" : {
"date_listed" : {
"anyOf" : [
{
"format" : "date-time",
"type" : "string"
},
{
"type" : "null"
}
]
},
"distance" : {
"type" : "number"
},
"grade" : {
"type" : [
"null",
"string"
]
},
"latitude" : {
"type" : "number"
},
"longitude" : {
"type" : "number"
},
"name" : {
"type" : [
"null",
"string"
]
},
"url" : {
"type" : [
"null",
"string"
]
},
"x_coord" : {
"type" : "number"
},
"y_coord" : {
"type" : "number"
}
},
"required" : [
"date_listed",
"distance",
"grade",
"latitude",
"longitude",
"name",
"url",
"x_coord",
"y_coord"
],
"type" : "object"
},
"ListedBuildingsInfo" : {
"properties" : {
"nearest_listed_buildings" : {
"items" : {
"$ref" : "#/definitions/ListedBuilding"
},
"type" : "array"
}
},
"required" : [
"nearest_listed_buildings"
],
"type" : "object"
},
"LowEmissionZoneNearestPoint" : {
"properties" : {
"latitude" : {
"type" : "number"
},
"longitude" : {
"type" : "number"
},
"x_coord" : {
"type" : "number"
},
"y_coord" : {
"type" : "number"
}
},
"required" : [
"latitude",
"longitude",
"x_coord",
"y_coord"
],
"type" : "object"
},
"LowEmissionZonesInfo" : {
"properties" : {
"in_low_emission_zone" : {
"type" : "boolean"
},
"low_emission_zone_area" : {
"type" : "number"
},
"low_emission_zone_proportion" : {
"type" : "number"
},
"nearest_low_emission_zone" : {
"anyOf" : [
{
"$ref" : "#/definitions/NearestLowEmissionZone"
},
{
"type" : "null"
}
]
}
},
"required" : [
"in_low_emission_zone",
"low_emission_zone_area",
"low_emission_zone_proportion",
"nearest_low_emission_zone"
],
"type" : "object"
},
"MaximumTemperatureChange" : {
"properties" : {
"baseline_maximum_temperature" : {
"type" : "number"
},
"lower_maximum_temperature" : {
"type" : "number"
},
"lower_maximum_temperature_change" : {
"type" : "number"
},
"lower_maximum_temperature_change_relative" : {
"type" : [
"null",
"number"
]
},
"lower_recent_maximum_temperature" : {
"type" : "number"
},
"lower_recent_maximum_temperature_change" : {
"type" : "number"
},
"lower_recent_maximum_temperature_change_relative" : {
"type" : [
"null",
"number"
]
},
"upper_maximum_temperature" : {
"type" : "number"
},
"upper_maximum_temperature_change" : {
"type" : "number"
},
"upper_maximum_temperature_change_relative" : {
"type" : [
"null",
"number"
]
},
"upper_recent_maximum_temperature" : {
"type" : "number"
},
"upper_recent_maximum_temperature_change" : {
"type" : "number"
},
"upper_recent_maximum_temperature_change_relative" : {
"type" : [
"null",
"number"
]
}
},
"required" : [
"baseline_maximum_temperature",
"lower_maximum_temperature",
"lower_maximum_temperature_change",
"lower_maximum_temperature_change_relative",
"lower_recent_maximum_temperature",
"lower_recent_maximum_temperature_change",
"lower_recent_maximum_temperature_change_relative",
"upper_maximum_temperature",
"upper_maximum_temperature_change",
"upper_maximum_temperature_change_relative",
"upper_recent_maximum_temperature",
"upper_recent_maximum_temperature_change",
"upper_recent_maximum_temperature_change_relative"
],
"type" : "object"
},
"NHSLocation" : {
"properties" : {
"address1" : {
"type" : [
"null",
"string"
]
},
"address2" : {
"type" : [
"null",
"string"
]
},
"address3" : {
"type" : [
"null",
"string"
]
},
"azimuth_degrees" : {
"type" : [
"null",
"number"
]
},
"distance" : {
"type" : "number"
},
"latitude" : {
"type" : "number"
},
"longitude" : {
"type" : "number"
},
"name" : {
"type" : [
"null",
"string"
]
},
"postcode" : {
"type" : [
"null",
"string"
]
},
"url" : {
"type" : [
"null",
"string"
]
},
"x_coord" : {
"type" : "number"
},
"y_coord" : {
"type" : "number"
}
},
"required" : [
"address1",
"address2",
"address3",
"azimuth_degrees",
"distance",
"latitude",
"longitude",
"name",
"postcode",
"url",
"x_coord",
"y_coord"
],
"type" : "object"
},
"NHSLocationsInfo" : {
"properties" : {
"nearest_dentist" : {
"anyOf" : [
{
"$ref" : "#/definitions/NHSLocation"
},
{
"type" : "null"
}
]
},
"nearest_gp_practice" : {
"anyOf" : [
{
"$ref" : "#/definitions/NHSLocation"
},
{
"type" : "null"
}
]
},
"nearest_hospital" : {
"anyOf" : [
{
"$ref" : "#/definitions/NHSLocation"
},
{
"type" : "null"
}
]
}
},
"required" : [
"nearest_dentist",
"nearest_gp_practice",
"nearest_hospital"
],
"type" : "object"
},
"NationalParkNearestPoint" : {
"properties" : {
"latitude" : {
"type" : "number"
},
"longitude" : {
"type" : "number"
},
"x_coord" : {
"type" : "number"
},
"y_coord" : {
"type" : "number"
}
},
"required" : [
"latitude",
"longitude",
"x_coord",
"y_coord"
],
"type" : "object"
},
"NationalParksInfo" : {
"properties" : {
"in_national_park" : {
"type" : "boolean"
},
"national_park_area" : {
"type" : "number"
},
"national_park_proportion" : {
"type" : "number"
},
"nearest_national_park" : {
"anyOf" : [
{
"$ref" : "#/definitions/NearestNationalPark"
},
{
"type" : "null"
}
]
}
},
"required" : [
"in_national_park",
"national_park_area",
"national_park_proportion",
"nearest_national_park"
],
"type" : "object"
},
"NearestAirport" : {
"properties" : {
"azimuth_degrees" : {
"type" : "number"
},
"distance" : {
"type" : "number"
},
"latitude" : {
"type" : "number"
},
"longitude" : {
"type" : "number"
},
"name" : {
"type" : [
"null",
"string"
]
},
"x_coord" : {
"type" : "number"
},
"y_coord" : {
"type" : "number"
}
},
"required" : [
"azimuth_degrees",
"distance",
"latitude",
"longitude",
"name",
"x_coord",
"y_coord"
],
"type" : "object"
},
"NearestConservationArea" : {
"properties" : {
"distance" : {
"type" : "number"
},
"name" : {
"type" : [
"null",
"string"
]
},
"nearest_point" : {
"anyOf" : [
{
"$ref" : "#/definitions/ConservationAreaNearestPoint"
},
{
"type" : "null"
}
]
}
},
"required" : [
"distance",
"name",
"nearest_point"
],
"type" : "object"
},
"NearestGreenspacePoint" : {
"properties" : {
"distance" : {
"type" : "number"
},
"function" : {
"type" : [
"null",
"string"
]
},
"latitude" : {
"type" : "number"
},
"longitude" : {
"type" : "number"
},
"name" : {
"type" : [
"null",
"string"
]
},
"x_coord" : {
"type" : "number"
},
"y_coord" : {
"type" : "number"
}
},
"required" : [
"distance",
"function",
"latitude",
"longitude",
"name",
"x_coord",
"y_coord"
],
"type" : "object"
},
"NearestLowEmissionZone" : {
"properties" : {
"distance" : {
"type" : "number"
},
"name" : {
"type" : [
"null",
"string"
]
},
"nearest_point" : {
"anyOf" : [
{
"$ref" : "#/definitions/LowEmissionZoneNearestPoint"
},
{
"type" : "null"
}
]
},
"url" : {
"type" : [
"null",
"string"
]
}
},
"required" : [
"distance",
"name",
"nearest_point",
"url"
],
"type" : "object"
},
"NearestNationalPark" : {
"properties" : {
"code" : {
"type" : [
"null",
"string"
]
},
"distance" : {
"type" : "number"
},
"name" : {
"type" : [
"null",
"string"
]
},
"nearest_point" : {
"anyOf" : [
{
"$ref" : "#/definitions/NationalParkNearestPoint"
},
{
"type" : "null"
}
]
}
},
"required" : [
"code",
"distance",
"name",
"nearest_point"
],
"type" : "object"
},
"PlanningData" : {
"properties" : {
"conservation_areas" : {
"anyOf" : [
{
"$ref" : "#/definitions/ConservationAreaInfo"
},
{
"type" : "null"
}
]
},
"listed_buildings" : {
"anyOf" : [
{
"$ref" : "#/definitions/ListedBuildingsInfo"
},
{
"type" : "null"
}
]
},
"national_parks" : {
"anyOf" : [
{
"$ref" : "#/definitions/NationalParksInfo"
},
{
"type" : "null"
}
]
},
"world_heritage_sites" : {
"anyOf" : [
{
"$ref" : "#/definitions/WorldHeritageSiteInfo"
},
{
"type" : "null"
}
]
}
},
"required" : [
"conservation_areas",
"listed_buildings",
"national_parks",
"world_heritage_sites"
],
"type" : "object"
},
"RadonInfo" : {
"properties" : {
"radon_affected_area" : {
"type" : [
"null",
"boolean"
]
},
"radon_class" : {
"type" : [
"null",
"number"
]
},
"radon_exceeding_action_level_max_likelihood" : {
"type" : [
"null",
"number"
]
},
"radon_exceeding_action_level_min_likelihood" : {
"type" : [
"null",
"number"
]
}
},
"required" : [
"radon_affected_area",
"radon_class",
"radon_exceeding_action_level_max_likelihood",
"radon_exceeding_action_level_min_likelihood"
],
"type" : "object"
},
"ResponseLocation" : {
"properties" : {
"admin_boundaries" : {
"anyOf" : [
{
"$ref" : "#/definitions/AdminBoundaryByXYInfo"
},
{
"type" : "null"
}
]
},
"elevation" : {
"anyOf" : [
{
"$ref" : "#/definitions/ElevationInfo"
},
{
"type" : "null"
}
]
},
"latitude" : {
"type" : "number"
},
"longitude" : {
"type" : "number"
},
"x_coord" : {
"type" : "number"
},
"y_coord" : {
"type" : "number"
}
},
"required" : [
"admin_boundaries",
"elevation",
"latitude",
"longitude",
"x_coord",
"y_coord"
],
"type" : "object"
},
"RetrofitGrant" : {
"properties" : {
"description" : {
"type" : [
"null",
"string"
]
},
"grant_value" : {
"type" : [
"null",
"number"
]
},
"name" : {
"type" : [
"null",
"string"
]
},
"url" : {
"type" : [
"null",
"string"
]
}
},
"required" : [
"description",
"grant_value",
"name",
"url"
],
"type" : "object"
},
"ScotlandClimateChangeCoverage" : {
"properties" : {
"area" : {
"type" : "number"
},
"proportion" : {
"type" : "number"
},
"scenario" : {
"type" : "string"
}
},
"required" : [
"area",
"proportion",
"scenario"
],
"type" : "object"
},
"ScotlandFloodRiskInfo" : {
"properties" : {
"coast" : {
"anyOf" : [
{
"$ref" : "#/definitions/ScotlandFloodRiskResult"
},
{
"type" : "null"
}
]
},
"coast_climate_change" : {
"anyOf" : [
{
"$ref" : "#/definitions/ScotlandFloodRiskResult"
},
{
"type" : "null"
}
]
},
"rivers" : {
"anyOf" : [
{
"$ref" : "#/definitions/ScotlandFloodRiskResult"
},
{
"type" : "null"
}
]
},
"rivers_climate_change" : {
"anyOf" : [
{
"$ref" : "#/definitions/ScotlandFloodRiskResult"
},
{
"type" : "null"
}
]
},
"surface_water" : {
"anyOf" : [
{
"$ref" : "#/definitions/ScotlandFloodRiskResult"
},
{
"type" : "null"
}
]
},
"surface_water_climate_change" : {
"anyOf" : [
{
"$ref" : "#/definitions/ScotlandFloodRiskResult"
},
{
"type" : "null"
}
]
}
},
"required" : [
"coast",
"rivers"
],
"type" : "object"
},
"ScotlandFloodRiskNearestPoint" : {
"properties" : {
"latitude" : {
"type" : "number"
},
"longitude" : {
"type" : "number"
},
"x_coord" : {
"type" : "number"
},
"y_coord" : {
"type" : "number"
}
},
"required" : [
"latitude",
"longitude",
"x_coord",
"y_coord"
],
"type" : "object"
},
"ScotlandFloodRiskResult" : {
"properties" : {
"annual_flood_risk" : {
"type" : "number"
},
"climate_change_coverage" : {
"$ref" : "#/definitions/ScotlandClimateChangeCoverage"
},
"flood_risk_coverage" : {
"$ref" : "#/definitions/FloodRiskCoverage"
},
"flood_risk_description" : {
"anyOf" : [
{
"enum" : [
"High",
"Low",
"Medium"
],
"type" : "string"
},
{
"type" : "null"
}
]
},
"highest_risk_flood_zone_within_50m" : {
"anyOf" : [
{
"$ref" : "#/definitions/ScotlandFloodRiskZone"
},
{
"type" : "null"
}
]
},
"highest_risk_flood_zone_within_buffer" : {
"anyOf" : [
{
"$ref" : "#/definitions/FloodRiskBufferResult"
},
{
"type" : "null"
}
]
},
"in_flood_risk_zone" : {
"type" : "boolean"
},
"nearest_flood_risk_zone" : {
"anyOf" : [
{
"$ref" : "#/definitions/ScotlandFloodRiskZone"
},
{
"type" : "null"
}
]
}
},
"required" : [
"annual_flood_risk",
"flood_risk_description",
"highest_risk_flood_zone_within_50m",
"in_flood_risk_zone",
"nearest_flood_risk_zone"
],
"type" : "object"
},
"ScotlandFloodRiskZone" : {
"properties" : {
"annual_flood_risk" : {
"type" : [
"null",
"number"
]
},
"distance" : {
"type" : "number"
},
"flood_risk_description" : {
"anyOf" : [
{
"enum" : [
"High",
"Low",
"Medium"
],
"type" : "string"
},
{
"type" : "null"
}
]
},
"nearest_point" : {
"anyOf" : [
{
"$ref" : "#/definitions/ScotlandFloodRiskNearestPoint"
},
{
"type" : "null"
}
]
}
},
"required" : [
"annual_flood_risk",
"distance",
"flood_risk_description",
"nearest_point"
],
"type" : "object"
},
"SubsidenceInfo" : {
"properties" : {
"collapsible_deposits" : {
"$ref" : "#/definitions/CurrentSubsidenceResult"
},
"compressible_ground" : {
"$ref" : "#/definitions/CurrentSubsidenceResult"
},
"landslides" : {
"$ref" : "#/definitions/CurrentSubsidenceResult"
},
"running_sand" : {
"$ref" : "#/definitions/CurrentSubsidenceResult"
},
"shrink_swell" : {
"$ref" : "#/definitions/CurrentSubsidenceResult"
},
"shrink_swell_2030_high_emissions" : {
"$ref" : "#/definitions/FutureSubsidenceResult"
},
"shrink_swell_2030_medium_emissions" : {
"$ref" : "#/definitions/FutureSubsidenceResult"
},
"shrink_swell_2050_medium_emissions" : {
"$ref" : "#/definitions/FutureSubsidenceResult"
},
"shrink_swell_2070_high_emissions" : {
"$ref" : "#/definitions/FutureSubsidenceResult"
},
"shrink_swell_2080_medium_emissions" : {
"$ref" : "#/definitions/FutureSubsidenceResult"
},
"soluble_rocks" : {
"$ref" : "#/definitions/CurrentSubsidenceResult"
}
},
"type" : "object"
},
"SummerPrecipitationChange" : {
"properties" : {
"baseline_summer_precipitation" : {
"type" : "number"
},
"lower_recent_summer_precipitation" : {
"type" : "number"
},
"lower_recent_summer_precipitation_change" : {
"type" : "number"
},
"lower_recent_summer_precipitation_change_relative" : {
"type" : [
"null",
"number"
]
},
"lower_summer_precipitation" : {
"type" : "number"
},
"lower_summer_precipitation_change" : {
"type" : "number"
},
"lower_summer_precipitation_change_relative" : {
"type" : "number"
},
"upper_recent_summer_precipitation" : {
"type" : "number"
},
"upper_recent_summer_precipitation_change" : {
"type" : "number"
},
"upper_recent_summer_precipitation_change_relative" : {
"type" : [
"null",
"number"
]
},
"upper_summer_precipitation" : {
"type" : "number"
},
"upper_summer_precipitation_change" : {
"type" : "number"
},
"upper_summer_precipitation_change_relative" : {
"type" : "number"
}
},
"required" : [
"baseline_summer_precipitation",
"lower_recent_summer_precipitation",
"lower_recent_summer_precipitation_change",
"lower_recent_summer_precipitation_change_relative",
"lower_summer_precipitation",
"lower_summer_precipitation_change",
"lower_summer_precipitation_change_relative",
"upper_recent_summer_precipitation",
"upper_recent_summer_precipitation_change",
"upper_recent_summer_precipitation_change_relative",
"upper_summer_precipitation",
"upper_summer_precipitation_change",
"upper_summer_precipitation_change_relative"
],
"type" : "object"
},
"TransportationData" : {
"properties" : {
"ev_charging_points" : {
"anyOf" : [
{
"$ref" : "#/definitions/EvChargingPointsInfo"
},
{
"type" : "null"
}
]
},
"low_emission_zones" : {
"anyOf" : [
{
"$ref" : "#/definitions/LowEmissionZonesInfo"
},
{
"type" : "null"
}
]
},
"nearest_airport" : {
"anyOf" : [
{
"$ref" : "#/definitions/NearestAirport"
},
{
"type" : "null"
}
]
}
},
"required" : [
"ev_charging_points",
"low_emission_zones",
"nearest_airport"
],
"type" : "object"
},
"WalesFloodRiskBand" : {
"enum" : [
"High",
"Low",
"Medium"
],
"type" : "string"
},
"WalesFloodRiskInfo" : {
"properties" : {
"coast" : {
"$ref" : "#/definitions/WalesFloodRiskResult"
},
"rivers" : {
"$ref" : "#/definitions/WalesFloodRiskResult"
},
"surface_water" : {
"$ref" : "#/definitions/WalesFloodRiskResult"
}
},
"required" : [
"coast",
"rivers"
],
"type" : "object"
},
"WalesFloodRiskNearestPoint" : {
"properties" : {
"latitude" : {
"type" : "number"
},
"longitude" : {
"type" : "number"
},
"x_coord" : {
"type" : "number"
},
"y_coord" : {
"type" : "number"
}
},
"required" : [
"latitude",
"longitude",
"x_coord",
"y_coord"
],
"type" : "object"
},
"WalesFloodRiskResult" : {
"properties" : {
"annual_flood_risk" : {
"type" : "number"
},
"flood_risk_coverage" : {
"$ref" : "#/definitions/FloodRiskCoverage"
},
"flood_risk_description" : {
"anyOf" : [
{
"enum" : [
"High",
"Low",
"Medium"
],
"type" : "string"
},
{
"type" : "null"
}
]
},
"highest_risk_flood_zone_within_50m" : {
"anyOf" : [
{
"$ref" : "#/definitions/WalesFloodRiskZone"
},
{
"type" : "null"
}
]
},
"highest_risk_flood_zone_within_buffer" : {
"anyOf" : [
{
"$ref" : "#/definitions/FloodRiskBufferResult"
},
{
"type" : "null"
}
]
},
"in_flood_risk_zone" : {
"type" : "boolean"
},
"nearest_flood_risk_zone" : {
"anyOf" : [
{
"$ref" : "#/definitions/WalesFloodRiskZone"
},
{
"type" : "null"
}
]
}
},
"required" : [
"annual_flood_risk",
"flood_risk_description",
"in_flood_risk_zone",
"nearest_flood_risk_zone"
],
"type" : "object"
},
"WalesFloodRiskZone" : {
"properties" : {
"distance" : {
"type" : "number"
},
"flood_risk_description" : {
"$ref" : "#/definitions/WalesFloodRiskBand"
},
"max_annual_flood_risk" : {
"type" : [
"null",
"number"
]
},
"min_annual_flood_risk" : {
"type" : [
"null",
"number"
]
},
"nearest_point" : {
"anyOf" : [
{
"$ref" : "#/definitions/WalesFloodRiskNearestPoint"
},
{
"type" : "null"
}
]
}
},
"required" : [
"distance",
"flood_risk_description",
"max_annual_flood_risk",
"min_annual_flood_risk",
"nearest_point"
],
"type" : "object"
},
"WinterPrecipitationChange" : {
"properties" : {
"baseline_winter_precipitation" : {
"type" : "number"
},
"lower_recent_winter_precipitation" : {
"type" : "number"
},
"lower_recent_winter_precipitation_change" : {
"type" : "number"
},
"lower_recent_winter_precipitation_change_relative" : {
"type" : [
"null",
"number"
]
},
"lower_winter_precipitation" : {
"type" : "number"
},
"lower_winter_precipitation_change" : {
"type" : "number"
},
"lower_winter_precipitation_change_relative" : {
"type" : "number"
},
"upper_recent_winter_precipitation" : {
"type" : "number"
},
"upper_recent_winter_precipitation_change" : {
"type" : "number"
},
"upper_recent_winter_precipitation_change_relative" : {
"type" : [
"null",
"number"
]
},
"upper_winter_precipitation" : {
"type" : "number"
},
"upper_winter_precipitation_change" : {
"type" : "number"
},
"upper_winter_precipitation_change_relative" : {
"type" : "number"
}
},
"required" : [
"baseline_winter_precipitation",
"lower_recent_winter_precipitation",
"lower_recent_winter_precipitation_change",
"lower_recent_winter_precipitation_change_relative",
"lower_winter_precipitation",
"lower_winter_precipitation_change",
"lower_winter_precipitation_change_relative",
"upper_recent_winter_precipitation",
"upper_recent_winter_precipitation_change",
"upper_recent_winter_precipitation_change_relative",
"upper_winter_precipitation",
"upper_winter_precipitation_change",
"upper_winter_precipitation_change_relative"
],
"type" : "object"
},
"WorldHeritageSite" : {
"properties" : {
"distance" : {
"type" : "number"
},
"inscription_date" : {
"anyOf" : [
{
"format" : "date-time",
"type" : "string"
},
{
"type" : "null"
}
]
},
"name" : {
"type" : "string"
},
"nearest_point" : {
"anyOf" : [
{
"$ref" : "#/definitions/WorldHeritageSiteNearestPoint"
},
{
"type" : "null"
}
]
},
"notes" : {
"type" : [
"null",
"string"
]
},
"url" : {
"type" : [
"null",
[...]
